/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constantfolded correctly:
 * max3(-5, -5, -5) => -5
 * max3(-5, -5, -2) => -2
 * max3(-5, -5, -1) => -1
 * max3(-5, -5, 0) => 0
 * max3(-5, -5, 1) => 1
 * max3(-5, -5, 2) => 2
 * max3(-5, -5, 5) => 5
 * max3(-5, -2, -5) => -2
 * max3(-5, -2, -2) => -2
 * max3(-5, -2, -1) => -1
 * max3(-5, -2, 0) => 0
 * max3(-5, -2, 1) => 1
 * max3(-5, -2, 2) => 2
 * max3(-5, -2, 5) => 5
 * max3(-5, -1, -5) => -1
 * max3(-5, -1, -2) => -1
 * max3(-5, -1, -1) => -1
 * max3(-5, -1, 0) => 0
 * max3(-5, -1, 1) => 1
 * max3(-5, -1, 2) => 2
 * max3(-5, -1, 5) => 5
 * max3(-5, 0, -5) => 0
 * max3(-5, 0, -2) => 0
 * max3(-5, 0, -1) => 0
 * max3(-5, 0, 0) => 0
 * max3(-5, 0, 1) => 1
 * max3(-5, 0, 2) => 2
 * max3(-5, 0, 5) => 5
 * max3(-5, 1, -5) => 1
 * max3(-5, 1, -2) => 1
 * max3(-5, 1, -1) => 1
 * max3(-5, 1, 0) => 1
 * max3(-5, 1, 1) => 1
 * max3(-5, 1, 2) => 2
 * max3(-5, 1, 5) => 5
 * max3(-5, 2, -5) => 2
 * max3(-5, 2, -2) => 2
 * max3(-5, 2, -1) => 2
 * max3(-5, 2, 0) => 2
 * max3(-5, 2, 1) => 2
 * max3(-5, 2, 2) => 2
 * max3(-5, 2, 5) => 5
 * max3(-5, 5, -5) => 5
 * max3(-5, 5, -2) => 5
 * max3(-5, 5, -1) => 5
 * max3(-5, 5, 0) => 5
 * max3(-5, 5, 1) => 5
 * max3(-5, 5, 2) => 5
 * max3(-5, 5, 5) => 5
 * max3(-2, -5, -5) => -2
 * max3(-2, -5, -2) => -2
 * max3(-2, -5, -1) => -1
 * max3(-2, -5, 0) => 0
 * max3(-2, -5, 1) => 1
 * max3(-2, -5, 2) => 2
 * max3(-2, -5, 5) => 5
 * max3(-2, -2, -5) => -2
 * max3(-2, -2, -2) => -2
 * max3(-2, -2, -1) => -1
 * max3(-2, -2, 0) => 0
 * max3(-2, -2, 1) => 1
 * max3(-2, -2, 2) => 2
 * max3(-2, -2, 5) => 5
 * max3(-2, -1, -5) => -1
 * max3(-2, -1, -2) => -1
 * max3(-2, -1, -1) => -1
 * max3(-2, -1, 0) => 0
 * max3(-2, -1, 1) => 1
 * max3(-2, -1, 2) => 2
 * max3(-2, -1, 5) => 5
 * max3(-2, 0, -5) => 0
 * max3(-2, 0, -2) => 0
 * max3(-2, 0, -1) => 0
 * max3(-2, 0, 0) => 0
 * max3(-2, 0, 1) => 1
 * max3(-2, 0, 2) => 2
 * max3(-2, 0, 5) => 5
 * max3(-2, 1, -5) => 1
 * max3(-2, 1, -2) => 1
 * max3(-2, 1, -1) => 1
 * max3(-2, 1, 0) => 1
 * max3(-2, 1, 1) => 1
 * max3(-2, 1, 2) => 2
 * max3(-2, 1, 5) => 5
 * max3(-2, 2, -5) => 2
 * max3(-2, 2, -2) => 2
 * max3(-2, 2, -1) => 2
 * max3(-2, 2, 0) => 2
 * max3(-2, 2, 1) => 2
 * max3(-2, 2, 2) => 2
 * max3(-2, 2, 5) => 5
 * max3(-2, 5, -5) => 5
 * max3(-2, 5, -2) => 5
 * max3(-2, 5, -1) => 5
 * max3(-2, 5, 0) => 5
 * max3(-2, 5, 1) => 5
 * max3(-2, 5, 2) => 5
 * max3(-2, 5, 5) => 5
 * max3(-1, -5, -5) => -1
 * max3(-1, -5, -2) => -1
 * max3(-1, -5, -1) => -1
 * max3(-1, -5, 0) => 0
 * max3(-1, -5, 1) => 1
 * max3(-1, -5, 2) => 2
 * max3(-1, -5, 5) => 5
 * max3(-1, -2, -5) => -1
 * max3(-1, -2, -2) => -1
 * max3(-1, -2, -1) => -1
 * max3(-1, -2, 0) => 0
 * max3(-1, -2, 1) => 1
 * max3(-1, -2, 2) => 2
 * max3(-1, -2, 5) => 5
 * max3(-1, -1, -5) => -1
 * max3(-1, -1, -2) => -1
 * max3(-1, -1, -1) => -1
 * max3(-1, -1, 0) => 0
 * max3(-1, -1, 1) => 1
 * max3(-1, -1, 2) => 2
 * max3(-1, -1, 5) => 5
 * max3(-1, 0, -5) => 0
 * max3(-1, 0, -2) => 0
 * max3(-1, 0, -1) => 0
 * max3(-1, 0, 0) => 0
 * max3(-1, 0, 1) => 1
 * max3(-1, 0, 2) => 2
 * max3(-1, 0, 5) => 5
 * max3(-1, 1, -5) => 1
 * max3(-1, 1, -2) => 1
 * max3(-1, 1, -1) => 1
 * max3(-1, 1, 0) => 1
 * max3(-1, 1, 1) => 1
 * max3(-1, 1, 2) => 2
 * max3(-1, 1, 5) => 5
 * max3(-1, 2, -5) => 2
 * max3(-1, 2, -2) => 2
 * max3(-1, 2, -1) => 2
 * max3(-1, 2, 0) => 2
 * max3(-1, 2, 1) => 2
 * max3(-1, 2, 2) => 2
 * max3(-1, 2, 5) => 5
 * max3(-1, 5, -5) => 5
 * max3(-1, 5, -2) => 5
 * max3(-1, 5, -1) => 5
 * max3(-1, 5, 0) => 5
 * max3(-1, 5, 1) => 5
 * max3(-1, 5, 2) => 5
 * max3(-1, 5, 5) => 5
 * max3(0, -5, -5) => 0
 * max3(0, -5, -2) => 0
 * max3(0, -5, -1) => 0
 * max3(0, -5, 0) => 0
 * max3(0, -5, 1) => 1
 * max3(0, -5, 2) => 2
 * max3(0, -5, 5) => 5
 * max3(0, -2, -5) => 0
 * max3(0, -2, -2) => 0
 * max3(0, -2, -1) => 0
 * max3(0, -2, 0) => 0
 * max3(0, -2, 1) => 1
 * max3(0, -2, 2) => 2
 * max3(0, -2, 5) => 5
 * max3(0, -1, -5) => 0
 * max3(0, -1, -2) => 0
 * max3(0, -1, -1) => 0
 * max3(0, -1, 0) => 0
 * max3(0, -1, 1) => 1
 * max3(0, -1, 2) => 2
 * max3(0, -1, 5) => 5
 * max3(0, 0, -5) => 0
 * max3(0, 0, -2) => 0
 * max3(0, 0, -1) => 0
 * max3(0, 0, 0) => 0
 * max3(0, 0, 1) => 1
 * max3(0, 0, 2) => 2
 * max3(0, 0, 5) => 5
 * max3(0, 1, -5) => 1
 * max3(0, 1, -2) => 1
 * max3(0, 1, -1) => 1
 * max3(0, 1, 0) => 1
 * max3(0, 1, 1) => 1
 * max3(0, 1, 2) => 2
 * max3(0, 1, 5) => 5
 * max3(0, 2, -5) => 2
 * max3(0, 2, -2) => 2
 * max3(0, 2, -1) => 2
 * max3(0, 2, 0) => 2
 * max3(0, 2, 1) => 2
 * max3(0, 2, 2) => 2
 * max3(0, 2, 5) => 5
 * max3(0, 5, -5) => 5
 * max3(0, 5, -2) => 5
 * max3(0, 5, -1) => 5
 * max3(0, 5, 0) => 5
 * max3(0, 5, 1) => 5
 * max3(0, 5, 2) => 5
 * max3(0, 5, 5) => 5
 * max3(1, -5, -5) => 1
 * max3(1, -5, -2) => 1
 * max3(1, -5, -1) => 1
 * max3(1, -5, 0) => 1
 * max3(1, -5, 1) => 1
 * max3(1, -5, 2) => 2
 * max3(1, -5, 5) => 5
 * max3(1, -2, -5) => 1
 * max3(1, -2, -2) => 1
 * max3(1, -2, -1) => 1
 * max3(1, -2, 0) => 1
 * max3(1, -2, 1) => 1
 * max3(1, -2, 2) => 2
 * max3(1, -2, 5) => 5
 * max3(1, -1, -5) => 1
 * max3(1, -1, -2) => 1
 * max3(1, -1, -1) => 1
 * max3(1, -1, 0) => 1
 * max3(1, -1, 1) => 1
 * max3(1, -1, 2) => 2
 * max3(1, -1, 5) => 5
 * max3(1, 0, -5) => 1
 * max3(1, 0, -2) => 1
 * max3(1, 0, -1) => 1
 * max3(1, 0, 0) => 1
 * max3(1, 0, 1) => 1
 * max3(1, 0, 2) => 2
 * max3(1, 0, 5) => 5
 * max3(1, 1, -5) => 1
 * max3(1, 1, -2) => 1
 * max3(1, 1, -1) => 1
 * max3(1, 1, 0) => 1
 * max3(1, 1, 1) => 1
 * max3(1, 1, 2) => 2
 * max3(1, 1, 5) => 5
 * max3(1, 2, -5) => 2
 * max3(1, 2, -2) => 2
 * max3(1, 2, -1) => 2
 * max3(1, 2, 0) => 2
 * max3(1, 2, 1) => 2
 * max3(1, 2, 2) => 2
 * max3(1, 2, 5) => 5
 * max3(1, 5, -5) => 5
 * max3(1, 5, -2) => 5
 * max3(1, 5, -1) => 5
 * max3(1, 5, 0) => 5
 * max3(1, 5, 1) => 5
 * max3(1, 5, 2) => 5
 * max3(1, 5, 5) => 5
 * max3(2, -5, -5) => 2
 * max3(2, -5, -2) => 2
 * max3(2, -5, -1) => 2
 * max3(2, -5, 0) => 2
 * max3(2, -5, 1) => 2
 * max3(2, -5, 2) => 2
 * max3(2, -5, 5) => 5
 * max3(2, -2, -5) => 2
 * max3(2, -2, -2) => 2
 * max3(2, -2, -1) => 2
 * max3(2, -2, 0) => 2
 * max3(2, -2, 1) => 2
 * max3(2, -2, 2) => 2
 * max3(2, -2, 5) => 5
 * max3(2, -1, -5) => 2
 * max3(2, -1, -2) => 2
 * max3(2, -1, -1) => 2
 * max3(2, -1, 0) => 2
 * max3(2, -1, 1) => 2
 * max3(2, -1, 2) => 2
 * max3(2, -1, 5) => 5
 * max3(2, 0, -5) => 2
 * max3(2, 0, -2) => 2
 * max3(2, 0, -1) => 2
 * max3(2, 0, 0) => 2
 * max3(2, 0, 1) => 2
 * max3(2, 0, 2) => 2
 * max3(2, 0, 5) => 5
 * max3(2, 1, -5) => 2
 * max3(2, 1, -2) => 2
 * max3(2, 1, -1) => 2
 * max3(2, 1, 0) => 2
 * max3(2, 1, 1) => 2
 * max3(2, 1, 2) => 2
 * max3(2, 1, 5) => 5
 * max3(2, 2, -5) => 2
 * max3(2, 2, -2) => 2
 * max3(2, 2, -1) => 2
 * max3(2, 2, 0) => 2
 * max3(2, 2, 1) => 2
 * max3(2, 2, 2) => 2
 * max3(2, 2, 5) => 5
 * max3(2, 5, -5) => 5
 * max3(2, 5, -2) => 5
 * max3(2, 5, -1) => 5
 * max3(2, 5, 0) => 5
 * max3(2, 5, 1) => 5
 * max3(2, 5, 2) => 5
 * max3(2, 5, 5) => 5
 * max3(5, -5, -5) => 5
 * max3(5, -5, -2) => 5
 * max3(5, -5, -1) => 5
 * max3(5, -5, 0) => 5
 * max3(5, -5, 1) => 5
 * max3(5, -5, 2) => 5
 * max3(5, -5, 5) => 5
 * max3(5, -2, -5) => 5
 * max3(5, -2, -2) => 5
 * max3(5, -2, -1) => 5
 * max3(5, -2, 0) => 5
 * max3(5, -2, 1) => 5
 * max3(5, -2, 2) => 5
 * max3(5, -2, 5) => 5
 * max3(5, -1, -5) => 5
 * max3(5, -1, -2) => 5
 * max3(5, -1, -1) => 5
 * max3(5, -1, 0) => 5
 * max3(5, -1, 1) => 5
 * max3(5, -1, 2) => 5
 * max3(5, -1, 5) => 5
 * max3(5, 0, -5) => 5
 * max3(5, 0, -2) => 5
 * max3(5, 0, -1) => 5
 * max3(5, 0, 0) => 5
 * max3(5, 0, 1) => 5
 * max3(5, 0, 2) => 5
 * max3(5, 0, 5) => 5
 * max3(5, 1, -5) => 5
 * max3(5, 1, -2) => 5
 * max3(5, 1, -1) => 5
 * max3(5, 1, 0) => 5
 * max3(5, 1, 1) => 5
 * max3(5, 1, 2) => 5
 * max3(5, 1, 5) => 5
 * max3(5, 2, -5) => 5
 * max3(5, 2, -2) => 5
 * max3(5, 2, -1) => 5
 * max3(5, 2, 0) => 5
 * max3(5, 2, 1) => 5
 * max3(5, 2, 2) => 5
 * max3(5, 2, 5) => 5
 * max3(5, 5, -5) => 5
 * max3(5, 5, -2) => 5
 * max3(5, 5, -1) => 5
 * max3(5, 5, 0) => 5
 * max3(5, 5, 1) => 5
 * max3(5, 5, 2) => 5
 * max3(5, 5, 5) => 5
 */
#version 130
#extension GL_AMD_shader_trinary_minmax : require

void main()
{
  float[max3(-5, -5, -5) == -5 ? 1 : -1] array0;
  float[max3(-5, -5, -2) == -2 ? 1 : -1] array1;
  float[max3(-5, -5, -1) == -1 ? 1 : -1] array2;
  float[max3(-5, -5, 0) == 0 ? 1 : -1] array3;
  float[max3(-5, -5, 1) == 1 ? 1 : -1] array4;
  float[max3(-5, -5, 2) == 2 ? 1 : -1] array5;
  float[max3(-5, -5, 5) == 5 ? 1 : -1] array6;
  float[max3(-5, -2, -5) == -2 ? 1 : -1] array7;
  float[max3(-5, -2, -2) == -2 ? 1 : -1] array8;
  float[max3(-5, -2, -1) == -1 ? 1 : -1] array9;
  float[max3(-5, -2, 0) == 0 ? 1 : -1] array10;
  float[max3(-5, -2, 1) == 1 ? 1 : -1] array11;
  float[max3(-5, -2, 2) == 2 ? 1 : -1] array12;
  float[max3(-5, -2, 5) == 5 ? 1 : -1] array13;
  float[max3(-5, -1, -5) == -1 ? 1 : -1] array14;
  float[max3(-5, -1, -2) == -1 ? 1 : -1] array15;
  float[max3(-5, -1, -1) == -1 ? 1 : -1] array16;
  float[max3(-5, -1, 0) == 0 ? 1 : -1] array17;
  float[max3(-5, -1, 1) == 1 ? 1 : -1] array18;
  float[max3(-5, -1, 2) == 2 ? 1 : -1] array19;
  float[max3(-5, -1, 5) == 5 ? 1 : -1] array20;
  float[max3(-5, 0, -5) == 0 ? 1 : -1] array21;
  float[max3(-5, 0, -2) == 0 ? 1 : -1] array22;
  float[max3(-5, 0, -1) == 0 ? 1 : -1] array23;
  float[max3(-5, 0, 0) == 0 ? 1 : -1] array24;
  float[max3(-5, 0, 1) == 1 ? 1 : -1] array25;
  float[max3(-5, 0, 2) == 2 ? 1 : -1] array26;
  float[max3(-5, 0, 5) == 5 ? 1 : -1] array27;
  float[max3(-5, 1, -5) == 1 ? 1 : -1] array28;
  float[max3(-5, 1, -2) == 1 ? 1 : -1] array29;
  float[max3(-5, 1, -1) == 1 ? 1 : -1] array30;
  float[max3(-5, 1, 0) == 1 ? 1 : -1] array31;
  float[max3(-5, 1, 1) == 1 ? 1 : -1] array32;
  float[max3(-5, 1, 2) == 2 ? 1 : -1] array33;
  float[max3(-5, 1, 5) == 5 ? 1 : -1] array34;
  float[max3(-5, 2, -5) == 2 ? 1 : -1] array35;
  float[max3(-5, 2, -2) == 2 ? 1 : -1] array36;
  float[max3(-5, 2, -1) == 2 ? 1 : -1] array37;
  float[max3(-5, 2, 0) == 2 ? 1 : -1] array38;
  float[max3(-5, 2, 1) == 2 ? 1 : -1] array39;
  float[max3(-5, 2, 2) == 2 ? 1 : -1] array40;
  float[max3(-5, 2, 5) == 5 ? 1 : -1] array41;
  float[max3(-5, 5, -5) == 5 ? 1 : -1] array42;
  float[max3(-5, 5, -2) == 5 ? 1 : -1] array43;
  float[max3(-5, 5, -1) == 5 ? 1 : -1] array44;
  float[max3(-5, 5, 0) == 5 ? 1 : -1] array45;
  float[max3(-5, 5, 1) == 5 ? 1 : -1] array46;
  float[max3(-5, 5, 2) == 5 ? 1 : -1] array47;
  float[max3(-5, 5, 5) == 5 ? 1 : -1] array48;
  float[max3(-2, -5, -5) == -2 ? 1 : -1] array49;
  float[max3(-2, -5, -2) == -2 ? 1 : -1] array50;
  float[max3(-2, -5, -1) == -1 ? 1 : -1] array51;
  float[max3(-2, -5, 0) == 0 ? 1 : -1] array52;
  float[max3(-2, -5, 1) == 1 ? 1 : -1] array53;
  float[max3(-2, -5, 2) == 2 ? 1 : -1] array54;
  float[max3(-2, -5, 5) == 5 ? 1 : -1] array55;
  float[max3(-2, -2, -5) == -2 ? 1 : -1] array56;
  float[max3(-2, -2, -2) == -2 ? 1 : -1] array57;
  float[max3(-2, -2, -1) == -1 ? 1 : -1] array58;
  float[max3(-2, -2, 0) == 0 ? 1 : -1] array59;
  float[max3(-2, -2, 1) == 1 ? 1 : -1] array60;
  float[max3(-2, -2, 2) == 2 ? 1 : -1] array61;
  float[max3(-2, -2, 5) == 5 ? 1 : -1] array62;
  float[max3(-2, -1, -5) == -1 ? 1 : -1] array63;
  float[max3(-2, -1, -2) == -1 ? 1 : -1] array64;
  float[max3(-2, -1, -1) == -1 ? 1 : -1] array65;
  float[max3(-2, -1, 0) == 0 ? 1 : -1] array66;
  float[max3(-2, -1, 1) == 1 ? 1 : -1] array67;
  float[max3(-2, -1, 2) == 2 ? 1 : -1] array68;
  float[max3(-2, -1, 5) == 5 ? 1 : -1] array69;
  float[max3(-2, 0, -5) == 0 ? 1 : -1] array70;
  float[max3(-2, 0, -2) == 0 ? 1 : -1] array71;
  float[max3(-2, 0, -1) == 0 ? 1 : -1] array72;
  float[max3(-2, 0, 0) == 0 ? 1 : -1] array73;
  float[max3(-2, 0, 1) == 1 ? 1 : -1] array74;
  float[max3(-2, 0, 2) == 2 ? 1 : -1] array75;
  float[max3(-2, 0, 5) == 5 ? 1 : -1] array76;
  float[max3(-2, 1, -5) == 1 ? 1 : -1] array77;
  float[max3(-2, 1, -2) == 1 ? 1 : -1] array78;
  float[max3(-2, 1, -1) == 1 ? 1 : -1] array79;
  float[max3(-2, 1, 0) == 1 ? 1 : -1] array80;
  float[max3(-2, 1, 1) == 1 ? 1 : -1] array81;
  float[max3(-2, 1, 2) == 2 ? 1 : -1] array82;
  float[max3(-2, 1, 5) == 5 ? 1 : -1] array83;
  float[max3(-2, 2, -5) == 2 ? 1 : -1] array84;
  float[max3(-2, 2, -2) == 2 ? 1 : -1] array85;
  float[max3(-2, 2, -1) == 2 ? 1 : -1] array86;
  float[max3(-2, 2, 0) == 2 ? 1 : -1] array87;
  float[max3(-2, 2, 1) == 2 ? 1 : -1] array88;
  float[max3(-2, 2, 2) == 2 ? 1 : -1] array89;
  float[max3(-2, 2, 5) == 5 ? 1 : -1] array90;
  float[max3(-2, 5, -5) == 5 ? 1 : -1] array91;
  float[max3(-2, 5, -2) == 5 ? 1 : -1] array92;
  float[max3(-2, 5, -1) == 5 ? 1 : -1] array93;
  float[max3(-2, 5, 0) == 5 ? 1 : -1] array94;
  float[max3(-2, 5, 1) == 5 ? 1 : -1] array95;
  float[max3(-2, 5, 2) == 5 ? 1 : -1] array96;
  float[max3(-2, 5, 5) == 5 ? 1 : -1] array97;
  float[max3(-1, -5, -5) == -1 ? 1 : -1] array98;
  float[max3(-1, -5, -2) == -1 ? 1 : -1] array99;
  float[max3(-1, -5, -1) == -1 ? 1 : -1] array100;
  float[max3(-1, -5, 0) == 0 ? 1 : -1] array101;
  float[max3(-1, -5, 1) == 1 ? 1 : -1] array102;
  float[max3(-1, -5, 2) == 2 ? 1 : -1] array103;
  float[max3(-1, -5, 5) == 5 ? 1 : -1] array104;
  float[max3(-1, -2, -5) == -1 ? 1 : -1] array105;
  float[max3(-1, -2, -2) == -1 ? 1 : -1] array106;
  float[max3(-1, -2, -1) == -1 ? 1 : -1] array107;
  float[max3(-1, -2, 0) == 0 ? 1 : -1] array108;
  float[max3(-1, -2, 1) == 1 ? 1 : -1] array109;
  float[max3(-1, -2, 2) == 2 ? 1 : -1] array110;
  float[max3(-1, -2, 5) == 5 ? 1 : -1] array111;
  float[max3(-1, -1, -5) == -1 ? 1 : -1] array112;
  float[max3(-1, -1, -2) == -1 ? 1 : -1] array113;
  float[max3(-1, -1, -1) == -1 ? 1 : -1] array114;
  float[max3(-1, -1, 0) == 0 ? 1 : -1] array115;
  float[max3(-1, -1, 1) == 1 ? 1 : -1] array116;
  float[max3(-1, -1, 2) == 2 ? 1 : -1] array117;
  float[max3(-1, -1, 5) == 5 ? 1 : -1] array118;
  float[max3(-1, 0, -5) == 0 ? 1 : -1] array119;
  float[max3(-1, 0, -2) == 0 ? 1 : -1] array120;
  float[max3(-1, 0, -1) == 0 ? 1 : -1] array121;
  float[max3(-1, 0, 0) == 0 ? 1 : -1] array122;
  float[max3(-1, 0, 1) == 1 ? 1 : -1] array123;
  float[max3(-1, 0, 2) == 2 ? 1 : -1] array124;
  float[max3(-1, 0, 5) == 5 ? 1 : -1] array125;
  float[max3(-1, 1, -5) == 1 ? 1 : -1] array126;
  float[max3(-1, 1, -2) == 1 ? 1 : -1] array127;
  float[max3(-1, 1, -1) == 1 ? 1 : -1] array128;
  float[max3(-1, 1, 0) == 1 ? 1 : -1] array129;
  float[max3(-1, 1, 1) == 1 ? 1 : -1] array130;
  float[max3(-1, 1, 2) == 2 ? 1 : -1] array131;
  float[max3(-1, 1, 5) == 5 ? 1 : -1] array132;
  float[max3(-1, 2, -5) == 2 ? 1 : -1] array133;
  float[max3(-1, 2, -2) == 2 ? 1 : -1] array134;
  float[max3(-1, 2, -1) == 2 ? 1 : -1] array135;
  float[max3(-1, 2, 0) == 2 ? 1 : -1] array136;
  float[max3(-1, 2, 1) == 2 ? 1 : -1] array137;
  float[max3(-1, 2, 2) == 2 ? 1 : -1] array138;
  float[max3(-1, 2, 5) == 5 ? 1 : -1] array139;
  float[max3(-1, 5, -5) == 5 ? 1 : -1] array140;
  float[max3(-1, 5, -2) == 5 ? 1 : -1] array141;
  float[max3(-1, 5, -1) == 5 ? 1 : -1] array142;
  float[max3(-1, 5, 0) == 5 ? 1 : -1] array143;
  float[max3(-1, 5, 1) == 5 ? 1 : -1] array144;
  float[max3(-1, 5, 2) == 5 ? 1 : -1] array145;
  float[max3(-1, 5, 5) == 5 ? 1 : -1] array146;
  float[max3(0, -5, -5) == 0 ? 1 : -1] array147;
  float[max3(0, -5, -2) == 0 ? 1 : -1] array148;
  float[max3(0, -5, -1) == 0 ? 1 : -1] array149;
  float[max3(0, -5, 0) == 0 ? 1 : -1] array150;
  float[max3(0, -5, 1) == 1 ? 1 : -1] array151;
  float[max3(0, -5, 2) == 2 ? 1 : -1] array152;
  float[max3(0, -5, 5) == 5 ? 1 : -1] array153;
  float[max3(0, -2, -5) == 0 ? 1 : -1] array154;
  float[max3(0, -2, -2) == 0 ? 1 : -1] array155;
  float[max3(0, -2, -1) == 0 ? 1 : -1] array156;
  float[max3(0, -2, 0) == 0 ? 1 : -1] array157;
  float[max3(0, -2, 1) == 1 ? 1 : -1] array158;
  float[max3(0, -2, 2) == 2 ? 1 : -1] array159;
  float[max3(0, -2, 5) == 5 ? 1 : -1] array160;
  float[max3(0, -1, -5) == 0 ? 1 : -1] array161;
  float[max3(0, -1, -2) == 0 ? 1 : -1] array162;
  float[max3(0, -1, -1) == 0 ? 1 : -1] array163;
  float[max3(0, -1, 0) == 0 ? 1 : -1] array164;
  float[max3(0, -1, 1) == 1 ? 1 : -1] array165;
  float[max3(0, -1, 2) == 2 ? 1 : -1] array166;
  float[max3(0, -1, 5) == 5 ? 1 : -1] array167;
  float[max3(0, 0, -5) == 0 ? 1 : -1] array168;
  float[max3(0, 0, -2) == 0 ? 1 : -1] array169;
  float[max3(0, 0, -1) == 0 ? 1 : -1] array170;
  float[max3(0, 0, 0) == 0 ? 1 : -1] array171;
  float[max3(0, 0, 1) == 1 ? 1 : -1] array172;
  float[max3(0, 0, 2) == 2 ? 1 : -1] array173;
  float[max3(0, 0, 5) == 5 ? 1 : -1] array174;
  float[max3(0, 1, -5) == 1 ? 1 : -1] array175;
  float[max3(0, 1, -2) == 1 ? 1 : -1] array176;
  float[max3(0, 1, -1) == 1 ? 1 : -1] array177;
  float[max3(0, 1, 0) == 1 ? 1 : -1] array178;
  float[max3(0, 1, 1) == 1 ? 1 : -1] array179;
  float[max3(0, 1, 2) == 2 ? 1 : -1] array180;
  float[max3(0, 1, 5) == 5 ? 1 : -1] array181;
  float[max3(0, 2, -5) == 2 ? 1 : -1] array182;
  float[max3(0, 2, -2) == 2 ? 1 : -1] array183;
  float[max3(0, 2, -1) == 2 ? 1 : -1] array184;
  float[max3(0, 2, 0) == 2 ? 1 : -1] array185;
  float[max3(0, 2, 1) == 2 ? 1 : -1] array186;
  float[max3(0, 2, 2) == 2 ? 1 : -1] array187;
  float[max3(0, 2, 5) == 5 ? 1 : -1] array188;
  float[max3(0, 5, -5) == 5 ? 1 : -1] array189;
  float[max3(0, 5, -2) == 5 ? 1 : -1] array190;
  float[max3(0, 5, -1) == 5 ? 1 : -1] array191;
  float[max3(0, 5, 0) == 5 ? 1 : -1] array192;
  float[max3(0, 5, 1) == 5 ? 1 : -1] array193;
  float[max3(0, 5, 2) == 5 ? 1 : -1] array194;
  float[max3(0, 5, 5) == 5 ? 1 : -1] array195;
  float[max3(1, -5, -5) == 1 ? 1 : -1] array196;
  float[max3(1, -5, -2) == 1 ? 1 : -1] array197;
  float[max3(1, -5, -1) == 1 ? 1 : -1] array198;
  float[max3(1, -5, 0) == 1 ? 1 : -1] array199;
  float[max3(1, -5, 1) == 1 ? 1 : -1] array200;
  float[max3(1, -5, 2) == 2 ? 1 : -1] array201;
  float[max3(1, -5, 5) == 5 ? 1 : -1] array202;
  float[max3(1, -2, -5) == 1 ? 1 : -1] array203;
  float[max3(1, -2, -2) == 1 ? 1 : -1] array204;
  float[max3(1, -2, -1) == 1 ? 1 : -1] array205;
  float[max3(1, -2, 0) == 1 ? 1 : -1] array206;
  float[max3(1, -2, 1) == 1 ? 1 : -1] array207;
  float[max3(1, -2, 2) == 2 ? 1 : -1] array208;
  float[max3(1, -2, 5) == 5 ? 1 : -1] array209;
  float[max3(1, -1, -5) == 1 ? 1 : -1] array210;
  float[max3(1, -1, -2) == 1 ? 1 : -1] array211;
  float[max3(1, -1, -1) == 1 ? 1 : -1] array212;
  float[max3(1, -1, 0) == 1 ? 1 : -1] array213;
  float[max3(1, -1, 1) == 1 ? 1 : -1] array214;
  float[max3(1, -1, 2) == 2 ? 1 : -1] array215;
  float[max3(1, -1, 5) == 5 ? 1 : -1] array216;
  float[max3(1, 0, -5) == 1 ? 1 : -1] array217;
  float[max3(1, 0, -2) == 1 ? 1 : -1] array218;
  float[max3(1, 0, -1) == 1 ? 1 : -1] array219;
  float[max3(1, 0, 0) == 1 ? 1 : -1] array220;
  float[max3(1, 0, 1) == 1 ? 1 : -1] array221;
  float[max3(1, 0, 2) == 2 ? 1 : -1] array222;
  float[max3(1, 0, 5) == 5 ? 1 : -1] array223;
  float[max3(1, 1, -5) == 1 ? 1 : -1] array224;
  float[max3(1, 1, -2) == 1 ? 1 : -1] array225;
  float[max3(1, 1, -1) == 1 ? 1 : -1] array226;
  float[max3(1, 1, 0) == 1 ? 1 : -1] array227;
  float[max3(1, 1, 1) == 1 ? 1 : -1] array228;
  float[max3(1, 1, 2) == 2 ? 1 : -1] array229;
  float[max3(1, 1, 5) == 5 ? 1 : -1] array230;
  float[max3(1, 2, -5) == 2 ? 1 : -1] array231;
  float[max3(1, 2, -2) == 2 ? 1 : -1] array232;
  float[max3(1, 2, -1) == 2 ? 1 : -1] array233;
  float[max3(1, 2, 0) == 2 ? 1 : -1] array234;
  float[max3(1, 2, 1) == 2 ? 1 : -1] array235;
  float[max3(1, 2, 2) == 2 ? 1 : -1] array236;
  float[max3(1, 2, 5) == 5 ? 1 : -1] array237;
  float[max3(1, 5, -5) == 5 ? 1 : -1] array238;
  float[max3(1, 5, -2) == 5 ? 1 : -1] array239;
  float[max3(1, 5, -1) == 5 ? 1 : -1] array240;
  float[max3(1, 5, 0) == 5 ? 1 : -1] array241;
  float[max3(1, 5, 1) == 5 ? 1 : -1] array242;
  float[max3(1, 5, 2) == 5 ? 1 : -1] array243;
  float[max3(1, 5, 5) == 5 ? 1 : -1] array244;
  float[max3(2, -5, -5) == 2 ? 1 : -1] array245;
  float[max3(2, -5, -2) == 2 ? 1 : -1] array246;
  float[max3(2, -5, -1) == 2 ? 1 : -1] array247;
  float[max3(2, -5, 0) == 2 ? 1 : -1] array248;
  float[max3(2, -5, 1) == 2 ? 1 : -1] array249;
  float[max3(2, -5, 2) == 2 ? 1 : -1] array250;
  float[max3(2, -5, 5) == 5 ? 1 : -1] array251;
  float[max3(2, -2, -5) == 2 ? 1 : -1] array252;
  float[max3(2, -2, -2) == 2 ? 1 : -1] array253;
  float[max3(2, -2, -1) == 2 ? 1 : -1] array254;
  float[max3(2, -2, 0) == 2 ? 1 : -1] array255;
  float[max3(2, -2, 1) == 2 ? 1 : -1] array256;
  float[max3(2, -2, 2) == 2 ? 1 : -1] array257;
  float[max3(2, -2, 5) == 5 ? 1 : -1] array258;
  float[max3(2, -1, -5) == 2 ? 1 : -1] array259;
  float[max3(2, -1, -2) == 2 ? 1 : -1] array260;
  float[max3(2, -1, -1) == 2 ? 1 : -1] array261;
  float[max3(2, -1, 0) == 2 ? 1 : -1] array262;
  float[max3(2, -1, 1) == 2 ? 1 : -1] array263;
  float[max3(2, -1, 2) == 2 ? 1 : -1] array264;
  float[max3(2, -1, 5) == 5 ? 1 : -1] array265;
  float[max3(2, 0, -5) == 2 ? 1 : -1] array266;
  float[max3(2, 0, -2) == 2 ? 1 : -1] array267;
  float[max3(2, 0, -1) == 2 ? 1 : -1] array268;
  float[max3(2, 0, 0) == 2 ? 1 : -1] array269;
  float[max3(2, 0, 1) == 2 ? 1 : -1] array270;
  float[max3(2, 0, 2) == 2 ? 1 : -1] array271;
  float[max3(2, 0, 5) == 5 ? 1 : -1] array272;
  float[max3(2, 1, -5) == 2 ? 1 : -1] array273;
  float[max3(2, 1, -2) == 2 ? 1 : -1] array274;
  float[max3(2, 1, -1) == 2 ? 1 : -1] array275;
  float[max3(2, 1, 0) == 2 ? 1 : -1] array276;
  float[max3(2, 1, 1) == 2 ? 1 : -1] array277;
  float[max3(2, 1, 2) == 2 ? 1 : -1] array278;
  float[max3(2, 1, 5) == 5 ? 1 : -1] array279;
  float[max3(2, 2, -5) == 2 ? 1 : -1] array280;
  float[max3(2, 2, -2) == 2 ? 1 : -1] array281;
  float[max3(2, 2, -1) == 2 ? 1 : -1] array282;
  float[max3(2, 2, 0) == 2 ? 1 : -1] array283;
  float[max3(2, 2, 1) == 2 ? 1 : -1] array284;
  float[max3(2, 2, 2) == 2 ? 1 : -1] array285;
  float[max3(2, 2, 5) == 5 ? 1 : -1] array286;
  float[max3(2, 5, -5) == 5 ? 1 : -1] array287;
  float[max3(2, 5, -2) == 5 ? 1 : -1] array288;
  float[max3(2, 5, -1) == 5 ? 1 : -1] array289;
  float[max3(2, 5, 0) == 5 ? 1 : -1] array290;
  float[max3(2, 5, 1) == 5 ? 1 : -1] array291;
  float[max3(2, 5, 2) == 5 ? 1 : -1] array292;
  float[max3(2, 5, 5) == 5 ? 1 : -1] array293;
  float[max3(5, -5, -5) == 5 ? 1 : -1] array294;
  float[max3(5, -5, -2) == 5 ? 1 : -1] array295;
  float[max3(5, -5, -1) == 5 ? 1 : -1] array296;
  float[max3(5, -5, 0) == 5 ? 1 : -1] array297;
  float[max3(5, -5, 1) == 5 ? 1 : -1] array298;
  float[max3(5, -5, 2) == 5 ? 1 : -1] array299;
  float[max3(5, -5, 5) == 5 ? 1 : -1] array300;
  float[max3(5, -2, -5) == 5 ? 1 : -1] array301;
  float[max3(5, -2, -2) == 5 ? 1 : -1] array302;
  float[max3(5, -2, -1) == 5 ? 1 : -1] array303;
  float[max3(5, -2, 0) == 5 ? 1 : -1] array304;
  float[max3(5, -2, 1) == 5 ? 1 : -1] array305;
  float[max3(5, -2, 2) == 5 ? 1 : -1] array306;
  float[max3(5, -2, 5) == 5 ? 1 : -1] array307;
  float[max3(5, -1, -5) == 5 ? 1 : -1] array308;
  float[max3(5, -1, -2) == 5 ? 1 : -1] array309;
  float[max3(5, -1, -1) == 5 ? 1 : -1] array310;
  float[max3(5, -1, 0) == 5 ? 1 : -1] array311;
  float[max3(5, -1, 1) == 5 ? 1 : -1] array312;
  float[max3(5, -1, 2) == 5 ? 1 : -1] array313;
  float[max3(5, -1, 5) == 5 ? 1 : -1] array314;
  float[max3(5, 0, -5) == 5 ? 1 : -1] array315;
  float[max3(5, 0, -2) == 5 ? 1 : -1] array316;
  float[max3(5, 0, -1) == 5 ? 1 : -1] array317;
  float[max3(5, 0, 0) == 5 ? 1 : -1] array318;
  float[max3(5, 0, 1) == 5 ? 1 : -1] array319;
  float[max3(5, 0, 2) == 5 ? 1 : -1] array320;
  float[max3(5, 0, 5) == 5 ? 1 : -1] array321;
  float[max3(5, 1, -5) == 5 ? 1 : -1] array322;
  float[max3(5, 1, -2) == 5 ? 1 : -1] array323;
  float[max3(5, 1, -1) == 5 ? 1 : -1] array324;
  float[max3(5, 1, 0) == 5 ? 1 : -1] array325;
  float[max3(5, 1, 1) == 5 ? 1 : -1] array326;
  float[max3(5, 1, 2) == 5 ? 1 : -1] array327;
  float[max3(5, 1, 5) == 5 ? 1 : -1] array328;
  float[max3(5, 2, -5) == 5 ? 1 : -1] array329;
  float[max3(5, 2, -2) == 5 ? 1 : -1] array330;
  float[max3(5, 2, -1) == 5 ? 1 : -1] array331;
  float[max3(5, 2, 0) == 5 ? 1 : -1] array332;
  float[max3(5, 2, 1) == 5 ? 1 : -1] array333;
  float[max3(5, 2, 2) == 5 ? 1 : -1] array334;
  float[max3(5, 2, 5) == 5 ? 1 : -1] array335;
  float[max3(5, 5, -5) == 5 ? 1 : -1] array336;
  float[max3(5, 5, -2) == 5 ? 1 : -1] array337;
  float[max3(5, 5, -1) == 5 ? 1 : -1] array338;
  float[max3(5, 5, 0) == 5 ? 1 : -1] array339;
  float[max3(5, 5, 1) == 5 ? 1 : -1] array340;
  float[max3(5, 5, 2) == 5 ? 1 : -1] array341;
  float[max3(5, 5, 5) == 5 ? 1 : -1] array342;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length() + array12.length() + array13.length() + array14.length() + array15.length() + array16.length() + array17.length() + array18.length() + array19.length() + array20.length() + array21.length() + array22.length() + array23.length() + array24.length() + array25.length() + array26.length() + array27.length() + array28.length() + array29.length() + array30.length() + array31.length() + array32.length() + array33.length() + array34.length() + array35.length() + array36.length() + array37.length() + array38.length() + array39.length() + array40.length() + array41.length() + array42.length() + array43.length() + array44.length() + array45.length() + array46.length() + array47.length() + array48.length() + array49.length() + array50.length() + array51.length() + array52.length() + array53.length() + array54.length() + array55.length() + array56.length() + array57.length() + array58.length() + array59.length() + array60.length() + array61.length() + array62.length() + array63.length() + array64.length() + array65.length() + array66.length() + array67.length() + array68.length() + array69.length() + array70.length() + array71.length() + array72.length() + array73.length() + array74.length() + array75.length() + array76.length() + array77.length() + array78.length() + array79.length() + array80.length() + array81.length() + array82.length() + array83.length() + array84.length() + array85.length() + array86.length() + array87.length() + array88.length() + array89.length() + array90.length() + array91.length() + array92.length() + array93.length() + array94.length() + array95.length() + array96.length() + array97.length() + array98.length() + array99.length() + array100.length() + array101.length() + array102.length() + array103.length() + array104.length() + array105.length() + array106.length() + array107.length() + array108.length() + array109.length() + array110.length() + array111.length() + array112.length() + array113.length() + array114.length() + array115.length() + array116.length() + array117.length() + array118.length() + array119.length() + array120.length() + array121.length() + array122.length() + array123.length() + array124.length() + array125.length() + array126.length() + array127.length() + array128.length() + array129.length() + array130.length() + array131.length() + array132.length() + array133.length() + array134.length() + array135.length() + array136.length() + array137.length() + array138.length() + array139.length() + array140.length() + array141.length() + array142.length() + array143.length() + array144.length() + array145.length() + array146.length() + array147.length() + array148.length() + array149.length() + array150.length() + array151.length() + array152.length() + array153.length() + array154.length() + array155.length() + array156.length() + array157.length() + array158.length() + array159.length() + array160.length() + array161.length() + array162.length() + array163.length() + array164.length() + array165.length() + array166.length() + array167.length() + array168.length() + array169.length() + array170.length() + array171.length() + array172.length() + array173.length() + array174.length() + array175.length() + array176.length() + array177.length() + array178.length() + array179.length() + array180.length() + array181.length() + array182.length() + array183.length() + array184.length() + array185.length() + array186.length() + array187.length() + array188.length() + array189.length() + array190.length() + array191.length() + array192.length() + array193.length() + array194.length() + array195.length() + array196.length() + array197.length() + array198.length() + array199.length() + array200.length() + array201.length() + array202.length() + array203.length() + array204.length() + array205.length() + array206.length() + array207.length() + array208.length() + array209.length() + array210.length() + array211.length() + array212.length() + array213.length() + array214.length() + array215.length() + array216.length() + array217.length() + array218.length() + array219.length() + array220.length() + array221.length() + array222.length() + array223.length() + array224.length() + array225.length() + array226.length() + array227.length() + array228.length() + array229.length() + array230.length() + array231.length() + array232.length() + array233.length() + array234.length() + array235.length() + array236.length() + array237.length() + array238.length() + array239.length() + array240.length() + array241.length() + array242.length() + array243.length() + array244.length() + array245.length() + array246.length() + array247.length() + array248.length() + array249.length() + array250.length() + array251.length() + array252.length() + array253.length() + array254.length() + array255.length() + array256.length() + array257.length() + array258.length() + array259.length() + array260.length() + array261.length() + array262.length() + array263.length() + array264.length() + array265.length() + array266.length() + array267.length() + array268.length() + array269.length() + array270.length() + array271.length() + array272.length() + array273.length() + array274.length() + array275.length() + array276.length() + array277.length() + array278.length() + array279.length() + array280.length() + array281.length() + array282.length() + array283.length() + array284.length() + array285.length() + array286.length() + array287.length() + array288.length() + array289.length() + array290.length() + array291.length() + array292.length() + array293.length() + array294.length() + array295.length() + array296.length() + array297.length() + array298.length() + array299.length() + array300.length() + array301.length() + array302.length() + array303.length() + array304.length() + array305.length() + array306.length() + array307.length() + array308.length() + array309.length() + array310.length() + array311.length() + array312.length() + array313.length() + array314.length() + array315.length() + array316.length() + array317.length() + array318.length() + array319.length() + array320.length() + array321.length() + array322.length() + array323.length() + array324.length() + array325.length() + array326.length() + array327.length() + array328.length() + array329.length() + array330.length() + array331.length() + array332.length() + array333.length() + array334.length() + array335.length() + array336.length() + array337.length() + array338.length() + array339.length() + array340.length() + array341.length() + array342.length());
}
