/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * require_extensions: GL_ARB_gpu_shader_fp64
 * [end config]
 *
 * Check that the following test vectors are constantfolded correctly:
 * sign(dvec4(-1.5lf, -0.75lf, 0.0lf, 0.75lf)) => dvec4(-1.0lf, -1.0lf, 0.0lf, 1.0lf)
 * sign(dvec4(1.5lf, -1.5lf, -0.75lf, 0.0lf)) => dvec4(1.0lf, -1.0lf, -1.0lf, 0.0lf)
 */
#version 150
#extension GL_ARB_gpu_shader_fp64 : require

void main()
{
  double[distance(sign(dvec4(-1.5lf, -0.75lf, 0.0lf, 0.75lf)), dvec4(-1.0lf, -1.0lf, 0.0lf, 1.0lf)) <= 1.7320508075688774e-05lf ? 1 : -1] array0;
  double[distance(sign(dvec4(1.5lf, -1.5lf, -0.75lf, 0.0lf)), dvec4(1.0lf, -1.0lf, -1.0lf, 0.0lf)) <= 1.7320508075688774e-05lf ? 1 : -1] array1;
  gl_FragColor = dvec4(array0.length() + array1.length());
}
