/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constantfolded correctly:
 * exp2(-2.0) => 0.25
 * exp2(-0.66666669) => 0.62996054
 * exp2(0.66666669) => 1.587401
 * exp2(2.0) => 4.0
 */
#version 120

void main()
{
  float[distance(exp2(-2.0), 0.25) <= 2.4999999e-06 ? 1 : -1] array0;
  float[distance(exp2(-0.66666669), 0.62996054) <= 6.2996055e-06 ? 1 : -1] array1;
  float[distance(exp2(0.66666669), 1.587401) <= 1.5874009e-05 ? 1 : -1] array2;
  float[distance(exp2(2.0), 4.0) <= 3.9999999e-05 ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
