/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constantfolded correctly:
 * (bvec2(false, false) != bvec2(false, false)) => false
 * (bvec2(false, false) != bvec2(false, true)) => true
 * (bvec2(false, false) != bvec2(true, false)) => true
 * (bvec2(false, false) != bvec2(true, true)) => true
 * (bvec2(false, true) != bvec2(false, false)) => true
 * (bvec2(false, true) != bvec2(false, true)) => false
 * (bvec2(false, true) != bvec2(true, false)) => true
 * (bvec2(false, true) != bvec2(true, true)) => true
 * (bvec2(true, false) != bvec2(false, false)) => true
 * (bvec2(true, false) != bvec2(false, true)) => true
 * (bvec2(true, false) != bvec2(true, false)) => false
 * (bvec2(true, false) != bvec2(true, true)) => true
 * (bvec2(true, true) != bvec2(false, false)) => true
 * (bvec2(true, true) != bvec2(false, true)) => true
 * (bvec2(true, true) != bvec2(true, false)) => true
 * (bvec2(true, true) != bvec2(true, true)) => false
 */
#version 120

void main()
{
  float[(bvec2(false, false) != bvec2(false, false)) == false ? 1 : -1] array0;
  float[(bvec2(false, false) != bvec2(false, true)) == true ? 1 : -1] array1;
  float[(bvec2(false, false) != bvec2(true, false)) == true ? 1 : -1] array2;
  float[(bvec2(false, false) != bvec2(true, true)) == true ? 1 : -1] array3;
  float[(bvec2(false, true) != bvec2(false, false)) == true ? 1 : -1] array4;
  float[(bvec2(false, true) != bvec2(false, true)) == false ? 1 : -1] array5;
  float[(bvec2(false, true) != bvec2(true, false)) == true ? 1 : -1] array6;
  float[(bvec2(false, true) != bvec2(true, true)) == true ? 1 : -1] array7;
  float[(bvec2(true, false) != bvec2(false, false)) == true ? 1 : -1] array8;
  float[(bvec2(true, false) != bvec2(false, true)) == true ? 1 : -1] array9;
  float[(bvec2(true, false) != bvec2(true, false)) == false ? 1 : -1] array10;
  float[(bvec2(true, false) != bvec2(true, true)) == true ? 1 : -1] array11;
  float[(bvec2(true, true) != bvec2(false, false)) == true ? 1 : -1] array12;
  float[(bvec2(true, true) != bvec2(false, true)) == true ? 1 : -1] array13;
  float[(bvec2(true, true) != bvec2(true, false)) == true ? 1 : -1] array14;
  float[(bvec2(true, true) != bvec2(true, true)) == false ? 1 : -1] array15;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length() + array12.length() + array13.length() + array14.length() + array15.length());
}
