/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constantfolded correctly:
 * (bvec3(false, false, false) != bvec3(false, false, false)) => false
 * (bvec3(false, false, false) != bvec3(false, false, true)) => true
 * (bvec3(false, false, false) != bvec3(false, true, false)) => true
 * (bvec3(false, false, false) != bvec3(false, true, true)) => true
 * (bvec3(false, false, false) != bvec3(true, false, false)) => true
 * (bvec3(false, false, false) != bvec3(true, false, true)) => true
 * (bvec3(false, false, false) != bvec3(true, true, false)) => true
 * (bvec3(false, false, false) != bvec3(true, true, true)) => true
 * (bvec3(false, false, true) != bvec3(false, false, false)) => true
 * (bvec3(false, false, true) != bvec3(false, false, true)) => false
 * (bvec3(false, false, true) != bvec3(false, true, false)) => true
 * (bvec3(false, false, true) != bvec3(false, true, true)) => true
 * (bvec3(false, false, true) != bvec3(true, false, false)) => true
 * (bvec3(false, false, true) != bvec3(true, false, true)) => true
 * (bvec3(false, false, true) != bvec3(true, true, false)) => true
 * (bvec3(false, false, true) != bvec3(true, true, true)) => true
 * (bvec3(false, true, false) != bvec3(false, false, false)) => true
 * (bvec3(false, true, false) != bvec3(false, false, true)) => true
 * (bvec3(false, true, false) != bvec3(false, true, false)) => false
 * (bvec3(false, true, false) != bvec3(false, true, true)) => true
 * (bvec3(false, true, false) != bvec3(true, false, false)) => true
 * (bvec3(false, true, false) != bvec3(true, false, true)) => true
 * (bvec3(false, true, false) != bvec3(true, true, false)) => true
 * (bvec3(false, true, false) != bvec3(true, true, true)) => true
 * (bvec3(false, true, true) != bvec3(false, false, false)) => true
 * (bvec3(false, true, true) != bvec3(false, false, true)) => true
 * (bvec3(false, true, true) != bvec3(false, true, false)) => true
 * (bvec3(false, true, true) != bvec3(false, true, true)) => false
 * (bvec3(false, true, true) != bvec3(true, false, false)) => true
 * (bvec3(false, true, true) != bvec3(true, false, true)) => true
 * (bvec3(false, true, true) != bvec3(true, true, false)) => true
 * (bvec3(false, true, true) != bvec3(true, true, true)) => true
 * (bvec3(true, false, false) != bvec3(false, false, false)) => true
 * (bvec3(true, false, false) != bvec3(false, false, true)) => true
 * (bvec3(true, false, false) != bvec3(false, true, false)) => true
 * (bvec3(true, false, false) != bvec3(false, true, true)) => true
 * (bvec3(true, false, false) != bvec3(true, false, false)) => false
 * (bvec3(true, false, false) != bvec3(true, false, true)) => true
 * (bvec3(true, false, false) != bvec3(true, true, false)) => true
 * (bvec3(true, false, false) != bvec3(true, true, true)) => true
 * (bvec3(true, false, true) != bvec3(false, false, false)) => true
 * (bvec3(true, false, true) != bvec3(false, false, true)) => true
 * (bvec3(true, false, true) != bvec3(false, true, false)) => true
 * (bvec3(true, false, true) != bvec3(false, true, true)) => true
 * (bvec3(true, false, true) != bvec3(true, false, false)) => true
 * (bvec3(true, false, true) != bvec3(true, false, true)) => false
 * (bvec3(true, false, true) != bvec3(true, true, false)) => true
 * (bvec3(true, false, true) != bvec3(true, true, true)) => true
 * (bvec3(true, true, false) != bvec3(false, false, false)) => true
 * (bvec3(true, true, false) != bvec3(false, false, true)) => true
 * (bvec3(true, true, false) != bvec3(false, true, false)) => true
 * (bvec3(true, true, false) != bvec3(false, true, true)) => true
 * (bvec3(true, true, false) != bvec3(true, false, false)) => true
 * (bvec3(true, true, false) != bvec3(true, false, true)) => true
 * (bvec3(true, true, false) != bvec3(true, true, false)) => false
 * (bvec3(true, true, false) != bvec3(true, true, true)) => true
 * (bvec3(true, true, true) != bvec3(false, false, false)) => true
 * (bvec3(true, true, true) != bvec3(false, false, true)) => true
 * (bvec3(true, true, true) != bvec3(false, true, false)) => true
 * (bvec3(true, true, true) != bvec3(false, true, true)) => true
 * (bvec3(true, true, true) != bvec3(true, false, false)) => true
 * (bvec3(true, true, true) != bvec3(true, false, true)) => true
 * (bvec3(true, true, true) != bvec3(true, true, false)) => true
 * (bvec3(true, true, true) != bvec3(true, true, true)) => false
 */
#version 120

void main()
{
  float[(bvec3(false, false, false) != bvec3(false, false, false)) == false ? 1 : -1] array0;
  float[(bvec3(false, false, false) != bvec3(false, false, true)) == true ? 1 : -1] array1;
  float[(bvec3(false, false, false) != bvec3(false, true, false)) == true ? 1 : -1] array2;
  float[(bvec3(false, false, false) != bvec3(false, true, true)) == true ? 1 : -1] array3;
  float[(bvec3(false, false, false) != bvec3(true, false, false)) == true ? 1 : -1] array4;
  float[(bvec3(false, false, false) != bvec3(true, false, true)) == true ? 1 : -1] array5;
  float[(bvec3(false, false, false) != bvec3(true, true, false)) == true ? 1 : -1] array6;
  float[(bvec3(false, false, false) != bvec3(true, true, true)) == true ? 1 : -1] array7;
  float[(bvec3(false, false, true) != bvec3(false, false, false)) == true ? 1 : -1] array8;
  float[(bvec3(false, false, true) != bvec3(false, false, true)) == false ? 1 : -1] array9;
  float[(bvec3(false, false, true) != bvec3(false, true, false)) == true ? 1 : -1] array10;
  float[(bvec3(false, false, true) != bvec3(false, true, true)) == true ? 1 : -1] array11;
  float[(bvec3(false, false, true) != bvec3(true, false, false)) == true ? 1 : -1] array12;
  float[(bvec3(false, false, true) != bvec3(true, false, true)) == true ? 1 : -1] array13;
  float[(bvec3(false, false, true) != bvec3(true, true, false)) == true ? 1 : -1] array14;
  float[(bvec3(false, false, true) != bvec3(true, true, true)) == true ? 1 : -1] array15;
  float[(bvec3(false, true, false) != bvec3(false, false, false)) == true ? 1 : -1] array16;
  float[(bvec3(false, true, false) != bvec3(false, false, true)) == true ? 1 : -1] array17;
  float[(bvec3(false, true, false) != bvec3(false, true, false)) == false ? 1 : -1] array18;
  float[(bvec3(false, true, false) != bvec3(false, true, true)) == true ? 1 : -1] array19;
  float[(bvec3(false, true, false) != bvec3(true, false, false)) == true ? 1 : -1] array20;
  float[(bvec3(false, true, false) != bvec3(true, false, true)) == true ? 1 : -1] array21;
  float[(bvec3(false, true, false) != bvec3(true, true, false)) == true ? 1 : -1] array22;
  float[(bvec3(false, true, false) != bvec3(true, true, true)) == true ? 1 : -1] array23;
  float[(bvec3(false, true, true) != bvec3(false, false, false)) == true ? 1 : -1] array24;
  float[(bvec3(false, true, true) != bvec3(false, false, true)) == true ? 1 : -1] array25;
  float[(bvec3(false, true, true) != bvec3(false, true, false)) == true ? 1 : -1] array26;
  float[(bvec3(false, true, true) != bvec3(false, true, true)) == false ? 1 : -1] array27;
  float[(bvec3(false, true, true) != bvec3(true, false, false)) == true ? 1 : -1] array28;
  float[(bvec3(false, true, true) != bvec3(true, false, true)) == true ? 1 : -1] array29;
  float[(bvec3(false, true, true) != bvec3(true, true, false)) == true ? 1 : -1] array30;
  float[(bvec3(false, true, true) != bvec3(true, true, true)) == true ? 1 : -1] array31;
  float[(bvec3(true, false, false) != bvec3(false, false, false)) == true ? 1 : -1] array32;
  float[(bvec3(true, false, false) != bvec3(false, false, true)) == true ? 1 : -1] array33;
  float[(bvec3(true, false, false) != bvec3(false, true, false)) == true ? 1 : -1] array34;
  float[(bvec3(true, false, false) != bvec3(false, true, true)) == true ? 1 : -1] array35;
  float[(bvec3(true, false, false) != bvec3(true, false, false)) == false ? 1 : -1] array36;
  float[(bvec3(true, false, false) != bvec3(true, false, true)) == true ? 1 : -1] array37;
  float[(bvec3(true, false, false) != bvec3(true, true, false)) == true ? 1 : -1] array38;
  float[(bvec3(true, false, false) != bvec3(true, true, true)) == true ? 1 : -1] array39;
  float[(bvec3(true, false, true) != bvec3(false, false, false)) == true ? 1 : -1] array40;
  float[(bvec3(true, false, true) != bvec3(false, false, true)) == true ? 1 : -1] array41;
  float[(bvec3(true, false, true) != bvec3(false, true, false)) == true ? 1 : -1] array42;
  float[(bvec3(true, false, true) != bvec3(false, true, true)) == true ? 1 : -1] array43;
  float[(bvec3(true, false, true) != bvec3(true, false, false)) == true ? 1 : -1] array44;
  float[(bvec3(true, false, true) != bvec3(true, false, true)) == false ? 1 : -1] array45;
  float[(bvec3(true, false, true) != bvec3(true, true, false)) == true ? 1 : -1] array46;
  float[(bvec3(true, false, true) != bvec3(true, true, true)) == true ? 1 : -1] array47;
  float[(bvec3(true, true, false) != bvec3(false, false, false)) == true ? 1 : -1] array48;
  float[(bvec3(true, true, false) != bvec3(false, false, true)) == true ? 1 : -1] array49;
  float[(bvec3(true, true, false) != bvec3(false, true, false)) == true ? 1 : -1] array50;
  float[(bvec3(true, true, false) != bvec3(false, true, true)) == true ? 1 : -1] array51;
  float[(bvec3(true, true, false) != bvec3(true, false, false)) == true ? 1 : -1] array52;
  float[(bvec3(true, true, false) != bvec3(true, false, true)) == true ? 1 : -1] array53;
  float[(bvec3(true, true, false) != bvec3(true, true, false)) == false ? 1 : -1] array54;
  float[(bvec3(true, true, false) != bvec3(true, true, true)) == true ? 1 : -1] array55;
  float[(bvec3(true, true, true) != bvec3(false, false, false)) == true ? 1 : -1] array56;
  float[(bvec3(true, true, true) != bvec3(false, false, true)) == true ? 1 : -1] array57;
  float[(bvec3(true, true, true) != bvec3(false, true, false)) == true ? 1 : -1] array58;
  float[(bvec3(true, true, true) != bvec3(false, true, true)) == true ? 1 : -1] array59;
  float[(bvec3(true, true, true) != bvec3(true, false, false)) == true ? 1 : -1] array60;
  float[(bvec3(true, true, true) != bvec3(true, false, true)) == true ? 1 : -1] array61;
  float[(bvec3(true, true, true) != bvec3(true, true, false)) == true ? 1 : -1] array62;
  float[(bvec3(true, true, true) != bvec3(true, true, true)) == false ? 1 : -1] array63;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length() + array12.length() + array13.length() + array14.length() + array15.length() + array16.length() + array17.length() + array18.length() + array19.length() + array20.length() + array21.length() + array22.length() + array23.length() + array24.length() + array25.length() + array26.length() + array27.length() + array28.length() + array29.length() + array30.length() + array31.length() + array32.length() + array33.length() + array34.length() + array35.length() + array36.length() + array37.length() + array38.length() + array39.length() + array40.length() + array41.length() + array42.length() + array43.length() + array44.length() + array45.length() + array46.length() + array47.length() + array48.length() + array49.length() + array50.length() + array51.length() + array52.length() + array53.length() + array54.length() + array55.length() + array56.length() + array57.length() + array58.length() + array59.length() + array60.length() + array61.length() + array62.length() + array63.length());
}
