/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constantfolded correctly:
 * (bvec4(false, false, false, false) != bvec4(false, false, false, false)) => false
 * (bvec4(false, false, false, false) != bvec4(false, false, false, true)) => true
 * (bvec4(false, false, false, false) != bvec4(false, false, true, false)) => true
 * (bvec4(false, false, false, false) != bvec4(false, false, true, true)) => true
 * (bvec4(false, false, false, false) != bvec4(false, true, false, false)) => true
 * (bvec4(false, false, false, false) != bvec4(false, true, false, true)) => true
 * (bvec4(false, false, false, false) != bvec4(false, true, true, false)) => true
 * (bvec4(false, false, false, false) != bvec4(false, true, true, true)) => true
 * (bvec4(false, false, false, false) != bvec4(true, false, false, false)) => true
 * (bvec4(false, false, false, false) != bvec4(true, false, false, true)) => true
 * (bvec4(false, false, false, false) != bvec4(true, false, true, false)) => true
 * (bvec4(false, false, false, false) != bvec4(true, false, true, true)) => true
 * (bvec4(false, false, false, false) != bvec4(true, true, false, false)) => true
 * (bvec4(false, false, false, false) != bvec4(true, true, false, true)) => true
 * (bvec4(false, false, false, false) != bvec4(true, true, true, false)) => true
 * (bvec4(false, false, false, false) != bvec4(true, true, true, true)) => true
 * (bvec4(false, false, false, true) != bvec4(false, false, false, false)) => true
 * (bvec4(false, false, false, true) != bvec4(false, false, false, true)) => false
 * (bvec4(false, false, false, true) != bvec4(false, false, true, false)) => true
 * (bvec4(false, false, false, true) != bvec4(false, false, true, true)) => true
 * (bvec4(false, false, false, true) != bvec4(false, true, false, false)) => true
 * (bvec4(false, false, false, true) != bvec4(false, true, false, true)) => true
 * (bvec4(false, false, false, true) != bvec4(false, true, true, false)) => true
 * (bvec4(false, false, false, true) != bvec4(false, true, true, true)) => true
 * (bvec4(false, false, false, true) != bvec4(true, false, false, false)) => true
 * (bvec4(false, false, false, true) != bvec4(true, false, false, true)) => true
 * (bvec4(false, false, false, true) != bvec4(true, false, true, false)) => true
 * (bvec4(false, false, false, true) != bvec4(true, false, true, true)) => true
 * (bvec4(false, false, false, true) != bvec4(true, true, false, false)) => true
 * (bvec4(false, false, false, true) != bvec4(true, true, false, true)) => true
 * (bvec4(false, false, false, true) != bvec4(true, true, true, false)) => true
 * (bvec4(false, false, false, true) != bvec4(true, true, true, true)) => true
 * (bvec4(false, false, true, false) != bvec4(false, false, false, false)) => true
 * (bvec4(false, false, true, false) != bvec4(false, false, false, true)) => true
 * (bvec4(false, false, true, false) != bvec4(false, false, true, false)) => false
 * (bvec4(false, false, true, false) != bvec4(false, false, true, true)) => true
 * (bvec4(false, false, true, false) != bvec4(false, true, false, false)) => true
 * (bvec4(false, false, true, false) != bvec4(false, true, false, true)) => true
 * (bvec4(false, false, true, false) != bvec4(false, true, true, false)) => true
 * (bvec4(false, false, true, false) != bvec4(false, true, true, true)) => true
 * (bvec4(false, false, true, false) != bvec4(true, false, false, false)) => true
 * (bvec4(false, false, true, false) != bvec4(true, false, false, true)) => true
 * (bvec4(false, false, true, false) != bvec4(true, false, true, false)) => true
 * (bvec4(false, false, true, false) != bvec4(true, false, true, true)) => true
 * (bvec4(false, false, true, false) != bvec4(true, true, false, false)) => true
 * (bvec4(false, false, true, false) != bvec4(true, true, false, true)) => true
 * (bvec4(false, false, true, false) != bvec4(true, true, true, false)) => true
 * (bvec4(false, false, true, false) != bvec4(true, true, true, true)) => true
 * (bvec4(false, false, true, true) != bvec4(false, false, false, false)) => true
 * (bvec4(false, false, true, true) != bvec4(false, false, false, true)) => true
 * (bvec4(false, false, true, true) != bvec4(false, false, true, false)) => true
 * (bvec4(false, false, true, true) != bvec4(false, false, true, true)) => false
 * (bvec4(false, false, true, true) != bvec4(false, true, false, false)) => true
 * (bvec4(false, false, true, true) != bvec4(false, true, false, true)) => true
 * (bvec4(false, false, true, true) != bvec4(false, true, true, false)) => true
 * (bvec4(false, false, true, true) != bvec4(false, true, true, true)) => true
 * (bvec4(false, false, true, true) != bvec4(true, false, false, false)) => true
 * (bvec4(false, false, true, true) != bvec4(true, false, false, true)) => true
 * (bvec4(false, false, true, true) != bvec4(true, false, true, false)) => true
 * (bvec4(false, false, true, true) != bvec4(true, false, true, true)) => true
 * (bvec4(false, false, true, true) != bvec4(true, true, false, false)) => true
 * (bvec4(false, false, true, true) != bvec4(true, true, false, true)) => true
 * (bvec4(false, false, true, true) != bvec4(true, true, true, false)) => true
 * (bvec4(false, false, true, true) != bvec4(true, true, true, true)) => true
 * (bvec4(false, true, false, false) != bvec4(false, false, false, false)) => true
 * (bvec4(false, true, false, false) != bvec4(false, false, false, true)) => true
 * (bvec4(false, true, false, false) != bvec4(false, false, true, false)) => true
 * (bvec4(false, true, false, false) != bvec4(false, false, true, true)) => true
 * (bvec4(false, true, false, false) != bvec4(false, true, false, false)) => false
 * (bvec4(false, true, false, false) != bvec4(false, true, false, true)) => true
 * (bvec4(false, true, false, false) != bvec4(false, true, true, false)) => true
 * (bvec4(false, true, false, false) != bvec4(false, true, true, true)) => true
 * (bvec4(false, true, false, false) != bvec4(true, false, false, false)) => true
 * (bvec4(false, true, false, false) != bvec4(true, false, false, true)) => true
 * (bvec4(false, true, false, false) != bvec4(true, false, true, false)) => true
 * (bvec4(false, true, false, false) != bvec4(true, false, true, true)) => true
 * (bvec4(false, true, false, false) != bvec4(true, true, false, false)) => true
 * (bvec4(false, true, false, false) != bvec4(true, true, false, true)) => true
 * (bvec4(false, true, false, false) != bvec4(true, true, true, false)) => true
 * (bvec4(false, true, false, false) != bvec4(true, true, true, true)) => true
 * (bvec4(false, true, false, true) != bvec4(false, false, false, false)) => true
 * (bvec4(false, true, false, true) != bvec4(false, false, false, true)) => true
 * (bvec4(false, true, false, true) != bvec4(false, false, true, false)) => true
 * (bvec4(false, true, false, true) != bvec4(false, false, true, true)) => true
 * (bvec4(false, true, false, true) != bvec4(false, true, false, false)) => true
 * (bvec4(false, true, false, true) != bvec4(false, true, false, true)) => false
 * (bvec4(false, true, false, true) != bvec4(false, true, true, false)) => true
 * (bvec4(false, true, false, true) != bvec4(false, true, true, true)) => true
 * (bvec4(false, true, false, true) != bvec4(true, false, false, false)) => true
 * (bvec4(false, true, false, true) != bvec4(true, false, false, true)) => true
 * (bvec4(false, true, false, true) != bvec4(true, false, true, false)) => true
 * (bvec4(false, true, false, true) != bvec4(true, false, true, true)) => true
 * (bvec4(false, true, false, true) != bvec4(true, true, false, false)) => true
 * (bvec4(false, true, false, true) != bvec4(true, true, false, true)) => true
 * (bvec4(false, true, false, true) != bvec4(true, true, true, false)) => true
 * (bvec4(false, true, false, true) != bvec4(true, true, true, true)) => true
 * (bvec4(false, true, true, false) != bvec4(false, false, false, false)) => true
 * (bvec4(false, true, true, false) != bvec4(false, false, false, true)) => true
 * (bvec4(false, true, true, false) != bvec4(false, false, true, false)) => true
 * (bvec4(false, true, true, false) != bvec4(false, false, true, true)) => true
 * (bvec4(false, true, true, false) != bvec4(false, true, false, false)) => true
 * (bvec4(false, true, true, false) != bvec4(false, true, false, true)) => true
 * (bvec4(false, true, true, false) != bvec4(false, true, true, false)) => false
 * (bvec4(false, true, true, false) != bvec4(false, true, true, true)) => true
 * (bvec4(false, true, true, false) != bvec4(true, false, false, false)) => true
 * (bvec4(false, true, true, false) != bvec4(true, false, false, true)) => true
 * (bvec4(false, true, true, false) != bvec4(true, false, true, false)) => true
 * (bvec4(false, true, true, false) != bvec4(true, false, true, true)) => true
 * (bvec4(false, true, true, false) != bvec4(true, true, false, false)) => true
 * (bvec4(false, true, true, false) != bvec4(true, true, false, true)) => true
 * (bvec4(false, true, true, false) != bvec4(true, true, true, false)) => true
 * (bvec4(false, true, true, false) != bvec4(true, true, true, true)) => true
 * (bvec4(false, true, true, true) != bvec4(false, false, false, false)) => true
 * (bvec4(false, true, true, true) != bvec4(false, false, false, true)) => true
 * (bvec4(false, true, true, true) != bvec4(false, false, true, false)) => true
 * (bvec4(false, true, true, true) != bvec4(false, false, true, true)) => true
 * (bvec4(false, true, true, true) != bvec4(false, true, false, false)) => true
 * (bvec4(false, true, true, true) != bvec4(false, true, false, true)) => true
 * (bvec4(false, true, true, true) != bvec4(false, true, true, false)) => true
 * (bvec4(false, true, true, true) != bvec4(false, true, true, true)) => false
 * (bvec4(false, true, true, true) != bvec4(true, false, false, false)) => true
 * (bvec4(false, true, true, true) != bvec4(true, false, false, true)) => true
 * (bvec4(false, true, true, true) != bvec4(true, false, true, false)) => true
 * (bvec4(false, true, true, true) != bvec4(true, false, true, true)) => true
 * (bvec4(false, true, true, true) != bvec4(true, true, false, false)) => true
 * (bvec4(false, true, true, true) != bvec4(true, true, false, true)) => true
 * (bvec4(false, true, true, true) != bvec4(true, true, true, false)) => true
 * (bvec4(false, true, true, true) != bvec4(true, true, true, true)) => true
 * (bvec4(true, false, false, false) != bvec4(false, false, false, false)) => true
 * (bvec4(true, false, false, false) != bvec4(false, false, false, true)) => true
 * (bvec4(true, false, false, false) != bvec4(false, false, true, false)) => true
 * (bvec4(true, false, false, false) != bvec4(false, false, true, true)) => true
 * (bvec4(true, false, false, false) != bvec4(false, true, false, false)) => true
 * (bvec4(true, false, false, false) != bvec4(false, true, false, true)) => true
 * (bvec4(true, false, false, false) != bvec4(false, true, true, false)) => true
 * (bvec4(true, false, false, false) != bvec4(false, true, true, true)) => true
 * (bvec4(true, false, false, false) != bvec4(true, false, false, false)) => false
 * (bvec4(true, false, false, false) != bvec4(true, false, false, true)) => true
 * (bvec4(true, false, false, false) != bvec4(true, false, true, false)) => true
 * (bvec4(true, false, false, false) != bvec4(true, false, true, true)) => true
 * (bvec4(true, false, false, false) != bvec4(true, true, false, false)) => true
 * (bvec4(true, false, false, false) != bvec4(true, true, false, true)) => true
 * (bvec4(true, false, false, false) != bvec4(true, true, true, false)) => true
 * (bvec4(true, false, false, false) != bvec4(true, true, true, true)) => true
 * (bvec4(true, false, false, true) != bvec4(false, false, false, false)) => true
 * (bvec4(true, false, false, true) != bvec4(false, false, false, true)) => true
 * (bvec4(true, false, false, true) != bvec4(false, false, true, false)) => true
 * (bvec4(true, false, false, true) != bvec4(false, false, true, true)) => true
 * (bvec4(true, false, false, true) != bvec4(false, true, false, false)) => true
 * (bvec4(true, false, false, true) != bvec4(false, true, false, true)) => true
 * (bvec4(true, false, false, true) != bvec4(false, true, true, false)) => true
 * (bvec4(true, false, false, true) != bvec4(false, true, true, true)) => true
 * (bvec4(true, false, false, true) != bvec4(true, false, false, false)) => true
 * (bvec4(true, false, false, true) != bvec4(true, false, false, true)) => false
 * (bvec4(true, false, false, true) != bvec4(true, false, true, false)) => true
 * (bvec4(true, false, false, true) != bvec4(true, false, true, true)) => true
 * (bvec4(true, false, false, true) != bvec4(true, true, false, false)) => true
 * (bvec4(true, false, false, true) != bvec4(true, true, false, true)) => true
 * (bvec4(true, false, false, true) != bvec4(true, true, true, false)) => true
 * (bvec4(true, false, false, true) != bvec4(true, true, true, true)) => true
 * (bvec4(true, false, true, false) != bvec4(false, false, false, false)) => true
 * (bvec4(true, false, true, false) != bvec4(false, false, false, true)) => true
 * (bvec4(true, false, true, false) != bvec4(false, false, true, false)) => true
 * (bvec4(true, false, true, false) != bvec4(false, false, true, true)) => true
 * (bvec4(true, false, true, false) != bvec4(false, true, false, false)) => true
 * (bvec4(true, false, true, false) != bvec4(false, true, false, true)) => true
 * (bvec4(true, false, true, false) != bvec4(false, true, true, false)) => true
 * (bvec4(true, false, true, false) != bvec4(false, true, true, true)) => true
 * (bvec4(true, false, true, false) != bvec4(true, false, false, false)) => true
 * (bvec4(true, false, true, false) != bvec4(true, false, false, true)) => true
 * (bvec4(true, false, true, false) != bvec4(true, false, true, false)) => false
 * (bvec4(true, false, true, false) != bvec4(true, false, true, true)) => true
 * (bvec4(true, false, true, false) != bvec4(true, true, false, false)) => true
 * (bvec4(true, false, true, false) != bvec4(true, true, false, true)) => true
 * (bvec4(true, false, true, false) != bvec4(true, true, true, false)) => true
 * (bvec4(true, false, true, false) != bvec4(true, true, true, true)) => true
 * (bvec4(true, false, true, true) != bvec4(false, false, false, false)) => true
 * (bvec4(true, false, true, true) != bvec4(false, false, false, true)) => true
 * (bvec4(true, false, true, true) != bvec4(false, false, true, false)) => true
 * (bvec4(true, false, true, true) != bvec4(false, false, true, true)) => true
 * (bvec4(true, false, true, true) != bvec4(false, true, false, false)) => true
 * (bvec4(true, false, true, true) != bvec4(false, true, false, true)) => true
 * (bvec4(true, false, true, true) != bvec4(false, true, true, false)) => true
 * (bvec4(true, false, true, true) != bvec4(false, true, true, true)) => true
 * (bvec4(true, false, true, true) != bvec4(true, false, false, false)) => true
 * (bvec4(true, false, true, true) != bvec4(true, false, false, true)) => true
 * (bvec4(true, false, true, true) != bvec4(true, false, true, false)) => true
 * (bvec4(true, false, true, true) != bvec4(true, false, true, true)) => false
 * (bvec4(true, false, true, true) != bvec4(true, true, false, false)) => true
 * (bvec4(true, false, true, true) != bvec4(true, true, false, true)) => true
 * (bvec4(true, false, true, true) != bvec4(true, true, true, false)) => true
 * (bvec4(true, false, true, true) != bvec4(true, true, true, true)) => true
 * (bvec4(true, true, false, false) != bvec4(false, false, false, false)) => true
 * (bvec4(true, true, false, false) != bvec4(false, false, false, true)) => true
 * (bvec4(true, true, false, false) != bvec4(false, false, true, false)) => true
 * (bvec4(true, true, false, false) != bvec4(false, false, true, true)) => true
 * (bvec4(true, true, false, false) != bvec4(false, true, false, false)) => true
 * (bvec4(true, true, false, false) != bvec4(false, true, false, true)) => true
 * (bvec4(true, true, false, false) != bvec4(false, true, true, false)) => true
 * (bvec4(true, true, false, false) != bvec4(false, true, true, true)) => true
 * (bvec4(true, true, false, false) != bvec4(true, false, false, false)) => true
 * (bvec4(true, true, false, false) != bvec4(true, false, false, true)) => true
 * (bvec4(true, true, false, false) != bvec4(true, false, true, false)) => true
 * (bvec4(true, true, false, false) != bvec4(true, false, true, true)) => true
 * (bvec4(true, true, false, false) != bvec4(true, true, false, false)) => false
 * (bvec4(true, true, false, false) != bvec4(true, true, false, true)) => true
 * (bvec4(true, true, false, false) != bvec4(true, true, true, false)) => true
 * (bvec4(true, true, false, false) != bvec4(true, true, true, true)) => true
 * (bvec4(true, true, false, true) != bvec4(false, false, false, false)) => true
 * (bvec4(true, true, false, true) != bvec4(false, false, false, true)) => true
 * (bvec4(true, true, false, true) != bvec4(false, false, true, false)) => true
 * (bvec4(true, true, false, true) != bvec4(false, false, true, true)) => true
 * (bvec4(true, true, false, true) != bvec4(false, true, false, false)) => true
 * (bvec4(true, true, false, true) != bvec4(false, true, false, true)) => true
 * (bvec4(true, true, false, true) != bvec4(false, true, true, false)) => true
 * (bvec4(true, true, false, true) != bvec4(false, true, true, true)) => true
 * (bvec4(true, true, false, true) != bvec4(true, false, false, false)) => true
 * (bvec4(true, true, false, true) != bvec4(true, false, false, true)) => true
 * (bvec4(true, true, false, true) != bvec4(true, false, true, false)) => true
 * (bvec4(true, true, false, true) != bvec4(true, false, true, true)) => true
 * (bvec4(true, true, false, true) != bvec4(true, true, false, false)) => true
 * (bvec4(true, true, false, true) != bvec4(true, true, false, true)) => false
 * (bvec4(true, true, false, true) != bvec4(true, true, true, false)) => true
 * (bvec4(true, true, false, true) != bvec4(true, true, true, true)) => true
 * (bvec4(true, true, true, false) != bvec4(false, false, false, false)) => true
 * (bvec4(true, true, true, false) != bvec4(false, false, false, true)) => true
 * (bvec4(true, true, true, false) != bvec4(false, false, true, false)) => true
 * (bvec4(true, true, true, false) != bvec4(false, false, true, true)) => true
 * (bvec4(true, true, true, false) != bvec4(false, true, false, false)) => true
 * (bvec4(true, true, true, false) != bvec4(false, true, false, true)) => true
 * (bvec4(true, true, true, false) != bvec4(false, true, true, false)) => true
 * (bvec4(true, true, true, false) != bvec4(false, true, true, true)) => true
 * (bvec4(true, true, true, false) != bvec4(true, false, false, false)) => true
 * (bvec4(true, true, true, false) != bvec4(true, false, false, true)) => true
 * (bvec4(true, true, true, false) != bvec4(true, false, true, false)) => true
 * (bvec4(true, true, true, false) != bvec4(true, false, true, true)) => true
 * (bvec4(true, true, true, false) != bvec4(true, true, false, false)) => true
 * (bvec4(true, true, true, false) != bvec4(true, true, false, true)) => true
 * (bvec4(true, true, true, false) != bvec4(true, true, true, false)) => false
 * (bvec4(true, true, true, false) != bvec4(true, true, true, true)) => true
 * (bvec4(true, true, true, true) != bvec4(false, false, false, false)) => true
 * (bvec4(true, true, true, true) != bvec4(false, false, false, true)) => true
 * (bvec4(true, true, true, true) != bvec4(false, false, true, false)) => true
 * (bvec4(true, true, true, true) != bvec4(false, false, true, true)) => true
 * (bvec4(true, true, true, true) != bvec4(false, true, false, false)) => true
 * (bvec4(true, true, true, true) != bvec4(false, true, false, true)) => true
 * (bvec4(true, true, true, true) != bvec4(false, true, true, false)) => true
 * (bvec4(true, true, true, true) != bvec4(false, true, true, true)) => true
 * (bvec4(true, true, true, true) != bvec4(true, false, false, false)) => true
 * (bvec4(true, true, true, true) != bvec4(true, false, false, true)) => true
 * (bvec4(true, true, true, true) != bvec4(true, false, true, false)) => true
 * (bvec4(true, true, true, true) != bvec4(true, false, true, true)) => true
 * (bvec4(true, true, true, true) != bvec4(true, true, false, false)) => true
 * (bvec4(true, true, true, true) != bvec4(true, true, false, true)) => true
 * (bvec4(true, true, true, true) != bvec4(true, true, true, false)) => true
 * (bvec4(true, true, true, true) != bvec4(true, true, true, true)) => false
 */
#version 120

void main()
{
  float[(bvec4(false, false, false, false) != bvec4(false, false, false, false)) == false ? 1 : -1] array0;
  float[(bvec4(false, false, false, false) != bvec4(false, false, false, true)) == true ? 1 : -1] array1;
  float[(bvec4(false, false, false, false) != bvec4(false, false, true, false)) == true ? 1 : -1] array2;
  float[(bvec4(false, false, false, false) != bvec4(false, false, true, true)) == true ? 1 : -1] array3;
  float[(bvec4(false, false, false, false) != bvec4(false, true, false, false)) == true ? 1 : -1] array4;
  float[(bvec4(false, false, false, false) != bvec4(false, true, false, true)) == true ? 1 : -1] array5;
  float[(bvec4(false, false, false, false) != bvec4(false, true, true, false)) == true ? 1 : -1] array6;
  float[(bvec4(false, false, false, false) != bvec4(false, true, true, true)) == true ? 1 : -1] array7;
  float[(bvec4(false, false, false, false) != bvec4(true, false, false, false)) == true ? 1 : -1] array8;
  float[(bvec4(false, false, false, false) != bvec4(true, false, false, true)) == true ? 1 : -1] array9;
  float[(bvec4(false, false, false, false) != bvec4(true, false, true, false)) == true ? 1 : -1] array10;
  float[(bvec4(false, false, false, false) != bvec4(true, false, true, true)) == true ? 1 : -1] array11;
  float[(bvec4(false, false, false, false) != bvec4(true, true, false, false)) == true ? 1 : -1] array12;
  float[(bvec4(false, false, false, false) != bvec4(true, true, false, true)) == true ? 1 : -1] array13;
  float[(bvec4(false, false, false, false) != bvec4(true, true, true, false)) == true ? 1 : -1] array14;
  float[(bvec4(false, false, false, false) != bvec4(true, true, true, true)) == true ? 1 : -1] array15;
  float[(bvec4(false, false, false, true) != bvec4(false, false, false, false)) == true ? 1 : -1] array16;
  float[(bvec4(false, false, false, true) != bvec4(false, false, false, true)) == false ? 1 : -1] array17;
  float[(bvec4(false, false, false, true) != bvec4(false, false, true, false)) == true ? 1 : -1] array18;
  float[(bvec4(false, false, false, true) != bvec4(false, false, true, true)) == true ? 1 : -1] array19;
  float[(bvec4(false, false, false, true) != bvec4(false, true, false, false)) == true ? 1 : -1] array20;
  float[(bvec4(false, false, false, true) != bvec4(false, true, false, true)) == true ? 1 : -1] array21;
  float[(bvec4(false, false, false, true) != bvec4(false, true, true, false)) == true ? 1 : -1] array22;
  float[(bvec4(false, false, false, true) != bvec4(false, true, true, true)) == true ? 1 : -1] array23;
  float[(bvec4(false, false, false, true) != bvec4(true, false, false, false)) == true ? 1 : -1] array24;
  float[(bvec4(false, false, false, true) != bvec4(true, false, false, true)) == true ? 1 : -1] array25;
  float[(bvec4(false, false, false, true) != bvec4(true, false, true, false)) == true ? 1 : -1] array26;
  float[(bvec4(false, false, false, true) != bvec4(true, false, true, true)) == true ? 1 : -1] array27;
  float[(bvec4(false, false, false, true) != bvec4(true, true, false, false)) == true ? 1 : -1] array28;
  float[(bvec4(false, false, false, true) != bvec4(true, true, false, true)) == true ? 1 : -1] array29;
  float[(bvec4(false, false, false, true) != bvec4(true, true, true, false)) == true ? 1 : -1] array30;
  float[(bvec4(false, false, false, true) != bvec4(true, true, true, true)) == true ? 1 : -1] array31;
  float[(bvec4(false, false, true, false) != bvec4(false, false, false, false)) == true ? 1 : -1] array32;
  float[(bvec4(false, false, true, false) != bvec4(false, false, false, true)) == true ? 1 : -1] array33;
  float[(bvec4(false, false, true, false) != bvec4(false, false, true, false)) == false ? 1 : -1] array34;
  float[(bvec4(false, false, true, false) != bvec4(false, false, true, true)) == true ? 1 : -1] array35;
  float[(bvec4(false, false, true, false) != bvec4(false, true, false, false)) == true ? 1 : -1] array36;
  float[(bvec4(false, false, true, false) != bvec4(false, true, false, true)) == true ? 1 : -1] array37;
  float[(bvec4(false, false, true, false) != bvec4(false, true, true, false)) == true ? 1 : -1] array38;
  float[(bvec4(false, false, true, false) != bvec4(false, true, true, true)) == true ? 1 : -1] array39;
  float[(bvec4(false, false, true, false) != bvec4(true, false, false, false)) == true ? 1 : -1] array40;
  float[(bvec4(false, false, true, false) != bvec4(true, false, false, true)) == true ? 1 : -1] array41;
  float[(bvec4(false, false, true, false) != bvec4(true, false, true, false)) == true ? 1 : -1] array42;
  float[(bvec4(false, false, true, false) != bvec4(true, false, true, true)) == true ? 1 : -1] array43;
  float[(bvec4(false, false, true, false) != bvec4(true, true, false, false)) == true ? 1 : -1] array44;
  float[(bvec4(false, false, true, false) != bvec4(true, true, false, true)) == true ? 1 : -1] array45;
  float[(bvec4(false, false, true, false) != bvec4(true, true, true, false)) == true ? 1 : -1] array46;
  float[(bvec4(false, false, true, false) != bvec4(true, true, true, true)) == true ? 1 : -1] array47;
  float[(bvec4(false, false, true, true) != bvec4(false, false, false, false)) == true ? 1 : -1] array48;
  float[(bvec4(false, false, true, true) != bvec4(false, false, false, true)) == true ? 1 : -1] array49;
  float[(bvec4(false, false, true, true) != bvec4(false, false, true, false)) == true ? 1 : -1] array50;
  float[(bvec4(false, false, true, true) != bvec4(false, false, true, true)) == false ? 1 : -1] array51;
  float[(bvec4(false, false, true, true) != bvec4(false, true, false, false)) == true ? 1 : -1] array52;
  float[(bvec4(false, false, true, true) != bvec4(false, true, false, true)) == true ? 1 : -1] array53;
  float[(bvec4(false, false, true, true) != bvec4(false, true, true, false)) == true ? 1 : -1] array54;
  float[(bvec4(false, false, true, true) != bvec4(false, true, true, true)) == true ? 1 : -1] array55;
  float[(bvec4(false, false, true, true) != bvec4(true, false, false, false)) == true ? 1 : -1] array56;
  float[(bvec4(false, false, true, true) != bvec4(true, false, false, true)) == true ? 1 : -1] array57;
  float[(bvec4(false, false, true, true) != bvec4(true, false, true, false)) == true ? 1 : -1] array58;
  float[(bvec4(false, false, true, true) != bvec4(true, false, true, true)) == true ? 1 : -1] array59;
  float[(bvec4(false, false, true, true) != bvec4(true, true, false, false)) == true ? 1 : -1] array60;
  float[(bvec4(false, false, true, true) != bvec4(true, true, false, true)) == true ? 1 : -1] array61;
  float[(bvec4(false, false, true, true) != bvec4(true, true, true, false)) == true ? 1 : -1] array62;
  float[(bvec4(false, false, true, true) != bvec4(true, true, true, true)) == true ? 1 : -1] array63;
  float[(bvec4(false, true, false, false) != bvec4(false, false, false, false)) == true ? 1 : -1] array64;
  float[(bvec4(false, true, false, false) != bvec4(false, false, false, true)) == true ? 1 : -1] array65;
  float[(bvec4(false, true, false, false) != bvec4(false, false, true, false)) == true ? 1 : -1] array66;
  float[(bvec4(false, true, false, false) != bvec4(false, false, true, true)) == true ? 1 : -1] array67;
  float[(bvec4(false, true, false, false) != bvec4(false, true, false, false)) == false ? 1 : -1] array68;
  float[(bvec4(false, true, false, false) != bvec4(false, true, false, true)) == true ? 1 : -1] array69;
  float[(bvec4(false, true, false, false) != bvec4(false, true, true, false)) == true ? 1 : -1] array70;
  float[(bvec4(false, true, false, false) != bvec4(false, true, true, true)) == true ? 1 : -1] array71;
  float[(bvec4(false, true, false, false) != bvec4(true, false, false, false)) == true ? 1 : -1] array72;
  float[(bvec4(false, true, false, false) != bvec4(true, false, false, true)) == true ? 1 : -1] array73;
  float[(bvec4(false, true, false, false) != bvec4(true, false, true, false)) == true ? 1 : -1] array74;
  float[(bvec4(false, true, false, false) != bvec4(true, false, true, true)) == true ? 1 : -1] array75;
  float[(bvec4(false, true, false, false) != bvec4(true, true, false, false)) == true ? 1 : -1] array76;
  float[(bvec4(false, true, false, false) != bvec4(true, true, false, true)) == true ? 1 : -1] array77;
  float[(bvec4(false, true, false, false) != bvec4(true, true, true, false)) == true ? 1 : -1] array78;
  float[(bvec4(false, true, false, false) != bvec4(true, true, true, true)) == true ? 1 : -1] array79;
  float[(bvec4(false, true, false, true) != bvec4(false, false, false, false)) == true ? 1 : -1] array80;
  float[(bvec4(false, true, false, true) != bvec4(false, false, false, true)) == true ? 1 : -1] array81;
  float[(bvec4(false, true, false, true) != bvec4(false, false, true, false)) == true ? 1 : -1] array82;
  float[(bvec4(false, true, false, true) != bvec4(false, false, true, true)) == true ? 1 : -1] array83;
  float[(bvec4(false, true, false, true) != bvec4(false, true, false, false)) == true ? 1 : -1] array84;
  float[(bvec4(false, true, false, true) != bvec4(false, true, false, true)) == false ? 1 : -1] array85;
  float[(bvec4(false, true, false, true) != bvec4(false, true, true, false)) == true ? 1 : -1] array86;
  float[(bvec4(false, true, false, true) != bvec4(false, true, true, true)) == true ? 1 : -1] array87;
  float[(bvec4(false, true, false, true) != bvec4(true, false, false, false)) == true ? 1 : -1] array88;
  float[(bvec4(false, true, false, true) != bvec4(true, false, false, true)) == true ? 1 : -1] array89;
  float[(bvec4(false, true, false, true) != bvec4(true, false, true, false)) == true ? 1 : -1] array90;
  float[(bvec4(false, true, false, true) != bvec4(true, false, true, true)) == true ? 1 : -1] array91;
  float[(bvec4(false, true, false, true) != bvec4(true, true, false, false)) == true ? 1 : -1] array92;
  float[(bvec4(false, true, false, true) != bvec4(true, true, false, true)) == true ? 1 : -1] array93;
  float[(bvec4(false, true, false, true) != bvec4(true, true, true, false)) == true ? 1 : -1] array94;
  float[(bvec4(false, true, false, true) != bvec4(true, true, true, true)) == true ? 1 : -1] array95;
  float[(bvec4(false, true, true, false) != bvec4(false, false, false, false)) == true ? 1 : -1] array96;
  float[(bvec4(false, true, true, false) != bvec4(false, false, false, true)) == true ? 1 : -1] array97;
  float[(bvec4(false, true, true, false) != bvec4(false, false, true, false)) == true ? 1 : -1] array98;
  float[(bvec4(false, true, true, false) != bvec4(false, false, true, true)) == true ? 1 : -1] array99;
  float[(bvec4(false, true, true, false) != bvec4(false, true, false, false)) == true ? 1 : -1] array100;
  float[(bvec4(false, true, true, false) != bvec4(false, true, false, true)) == true ? 1 : -1] array101;
  float[(bvec4(false, true, true, false) != bvec4(false, true, true, false)) == false ? 1 : -1] array102;
  float[(bvec4(false, true, true, false) != bvec4(false, true, true, true)) == true ? 1 : -1] array103;
  float[(bvec4(false, true, true, false) != bvec4(true, false, false, false)) == true ? 1 : -1] array104;
  float[(bvec4(false, true, true, false) != bvec4(true, false, false, true)) == true ? 1 : -1] array105;
  float[(bvec4(false, true, true, false) != bvec4(true, false, true, false)) == true ? 1 : -1] array106;
  float[(bvec4(false, true, true, false) != bvec4(true, false, true, true)) == true ? 1 : -1] array107;
  float[(bvec4(false, true, true, false) != bvec4(true, true, false, false)) == true ? 1 : -1] array108;
  float[(bvec4(false, true, true, false) != bvec4(true, true, false, true)) == true ? 1 : -1] array109;
  float[(bvec4(false, true, true, false) != bvec4(true, true, true, false)) == true ? 1 : -1] array110;
  float[(bvec4(false, true, true, false) != bvec4(true, true, true, true)) == true ? 1 : -1] array111;
  float[(bvec4(false, true, true, true) != bvec4(false, false, false, false)) == true ? 1 : -1] array112;
  float[(bvec4(false, true, true, true) != bvec4(false, false, false, true)) == true ? 1 : -1] array113;
  float[(bvec4(false, true, true, true) != bvec4(false, false, true, false)) == true ? 1 : -1] array114;
  float[(bvec4(false, true, true, true) != bvec4(false, false, true, true)) == true ? 1 : -1] array115;
  float[(bvec4(false, true, true, true) != bvec4(false, true, false, false)) == true ? 1 : -1] array116;
  float[(bvec4(false, true, true, true) != bvec4(false, true, false, true)) == true ? 1 : -1] array117;
  float[(bvec4(false, true, true, true) != bvec4(false, true, true, false)) == true ? 1 : -1] array118;
  float[(bvec4(false, true, true, true) != bvec4(false, true, true, true)) == false ? 1 : -1] array119;
  float[(bvec4(false, true, true, true) != bvec4(true, false, false, false)) == true ? 1 : -1] array120;
  float[(bvec4(false, true, true, true) != bvec4(true, false, false, true)) == true ? 1 : -1] array121;
  float[(bvec4(false, true, true, true) != bvec4(true, false, true, false)) == true ? 1 : -1] array122;
  float[(bvec4(false, true, true, true) != bvec4(true, false, true, true)) == true ? 1 : -1] array123;
  float[(bvec4(false, true, true, true) != bvec4(true, true, false, false)) == true ? 1 : -1] array124;
  float[(bvec4(false, true, true, true) != bvec4(true, true, false, true)) == true ? 1 : -1] array125;
  float[(bvec4(false, true, true, true) != bvec4(true, true, true, false)) == true ? 1 : -1] array126;
  float[(bvec4(false, true, true, true) != bvec4(true, true, true, true)) == true ? 1 : -1] array127;
  float[(bvec4(true, false, false, false) != bvec4(false, false, false, false)) == true ? 1 : -1] array128;
  float[(bvec4(true, false, false, false) != bvec4(false, false, false, true)) == true ? 1 : -1] array129;
  float[(bvec4(true, false, false, false) != bvec4(false, false, true, false)) == true ? 1 : -1] array130;
  float[(bvec4(true, false, false, false) != bvec4(false, false, true, true)) == true ? 1 : -1] array131;
  float[(bvec4(true, false, false, false) != bvec4(false, true, false, false)) == true ? 1 : -1] array132;
  float[(bvec4(true, false, false, false) != bvec4(false, true, false, true)) == true ? 1 : -1] array133;
  float[(bvec4(true, false, false, false) != bvec4(false, true, true, false)) == true ? 1 : -1] array134;
  float[(bvec4(true, false, false, false) != bvec4(false, true, true, true)) == true ? 1 : -1] array135;
  float[(bvec4(true, false, false, false) != bvec4(true, false, false, false)) == false ? 1 : -1] array136;
  float[(bvec4(true, false, false, false) != bvec4(true, false, false, true)) == true ? 1 : -1] array137;
  float[(bvec4(true, false, false, false) != bvec4(true, false, true, false)) == true ? 1 : -1] array138;
  float[(bvec4(true, false, false, false) != bvec4(true, false, true, true)) == true ? 1 : -1] array139;
  float[(bvec4(true, false, false, false) != bvec4(true, true, false, false)) == true ? 1 : -1] array140;
  float[(bvec4(true, false, false, false) != bvec4(true, true, false, true)) == true ? 1 : -1] array141;
  float[(bvec4(true, false, false, false) != bvec4(true, true, true, false)) == true ? 1 : -1] array142;
  float[(bvec4(true, false, false, false) != bvec4(true, true, true, true)) == true ? 1 : -1] array143;
  float[(bvec4(true, false, false, true) != bvec4(false, false, false, false)) == true ? 1 : -1] array144;
  float[(bvec4(true, false, false, true) != bvec4(false, false, false, true)) == true ? 1 : -1] array145;
  float[(bvec4(true, false, false, true) != bvec4(false, false, true, false)) == true ? 1 : -1] array146;
  float[(bvec4(true, false, false, true) != bvec4(false, false, true, true)) == true ? 1 : -1] array147;
  float[(bvec4(true, false, false, true) != bvec4(false, true, false, false)) == true ? 1 : -1] array148;
  float[(bvec4(true, false, false, true) != bvec4(false, true, false, true)) == true ? 1 : -1] array149;
  float[(bvec4(true, false, false, true) != bvec4(false, true, true, false)) == true ? 1 : -1] array150;
  float[(bvec4(true, false, false, true) != bvec4(false, true, true, true)) == true ? 1 : -1] array151;
  float[(bvec4(true, false, false, true) != bvec4(true, false, false, false)) == true ? 1 : -1] array152;
  float[(bvec4(true, false, false, true) != bvec4(true, false, false, true)) == false ? 1 : -1] array153;
  float[(bvec4(true, false, false, true) != bvec4(true, false, true, false)) == true ? 1 : -1] array154;
  float[(bvec4(true, false, false, true) != bvec4(true, false, true, true)) == true ? 1 : -1] array155;
  float[(bvec4(true, false, false, true) != bvec4(true, true, false, false)) == true ? 1 : -1] array156;
  float[(bvec4(true, false, false, true) != bvec4(true, true, false, true)) == true ? 1 : -1] array157;
  float[(bvec4(true, false, false, true) != bvec4(true, true, true, false)) == true ? 1 : -1] array158;
  float[(bvec4(true, false, false, true) != bvec4(true, true, true, true)) == true ? 1 : -1] array159;
  float[(bvec4(true, false, true, false) != bvec4(false, false, false, false)) == true ? 1 : -1] array160;
  float[(bvec4(true, false, true, false) != bvec4(false, false, false, true)) == true ? 1 : -1] array161;
  float[(bvec4(true, false, true, false) != bvec4(false, false, true, false)) == true ? 1 : -1] array162;
  float[(bvec4(true, false, true, false) != bvec4(false, false, true, true)) == true ? 1 : -1] array163;
  float[(bvec4(true, false, true, false) != bvec4(false, true, false, false)) == true ? 1 : -1] array164;
  float[(bvec4(true, false, true, false) != bvec4(false, true, false, true)) == true ? 1 : -1] array165;
  float[(bvec4(true, false, true, false) != bvec4(false, true, true, false)) == true ? 1 : -1] array166;
  float[(bvec4(true, false, true, false) != bvec4(false, true, true, true)) == true ? 1 : -1] array167;
  float[(bvec4(true, false, true, false) != bvec4(true, false, false, false)) == true ? 1 : -1] array168;
  float[(bvec4(true, false, true, false) != bvec4(true, false, false, true)) == true ? 1 : -1] array169;
  float[(bvec4(true, false, true, false) != bvec4(true, false, true, false)) == false ? 1 : -1] array170;
  float[(bvec4(true, false, true, false) != bvec4(true, false, true, true)) == true ? 1 : -1] array171;
  float[(bvec4(true, false, true, false) != bvec4(true, true, false, false)) == true ? 1 : -1] array172;
  float[(bvec4(true, false, true, false) != bvec4(true, true, false, true)) == true ? 1 : -1] array173;
  float[(bvec4(true, false, true, false) != bvec4(true, true, true, false)) == true ? 1 : -1] array174;
  float[(bvec4(true, false, true, false) != bvec4(true, true, true, true)) == true ? 1 : -1] array175;
  float[(bvec4(true, false, true, true) != bvec4(false, false, false, false)) == true ? 1 : -1] array176;
  float[(bvec4(true, false, true, true) != bvec4(false, false, false, true)) == true ? 1 : -1] array177;
  float[(bvec4(true, false, true, true) != bvec4(false, false, true, false)) == true ? 1 : -1] array178;
  float[(bvec4(true, false, true, true) != bvec4(false, false, true, true)) == true ? 1 : -1] array179;
  float[(bvec4(true, false, true, true) != bvec4(false, true, false, false)) == true ? 1 : -1] array180;
  float[(bvec4(true, false, true, true) != bvec4(false, true, false, true)) == true ? 1 : -1] array181;
  float[(bvec4(true, false, true, true) != bvec4(false, true, true, false)) == true ? 1 : -1] array182;
  float[(bvec4(true, false, true, true) != bvec4(false, true, true, true)) == true ? 1 : -1] array183;
  float[(bvec4(true, false, true, true) != bvec4(true, false, false, false)) == true ? 1 : -1] array184;
  float[(bvec4(true, false, true, true) != bvec4(true, false, false, true)) == true ? 1 : -1] array185;
  float[(bvec4(true, false, true, true) != bvec4(true, false, true, false)) == true ? 1 : -1] array186;
  float[(bvec4(true, false, true, true) != bvec4(true, false, true, true)) == false ? 1 : -1] array187;
  float[(bvec4(true, false, true, true) != bvec4(true, true, false, false)) == true ? 1 : -1] array188;
  float[(bvec4(true, false, true, true) != bvec4(true, true, false, true)) == true ? 1 : -1] array189;
  float[(bvec4(true, false, true, true) != bvec4(true, true, true, false)) == true ? 1 : -1] array190;
  float[(bvec4(true, false, true, true) != bvec4(true, true, true, true)) == true ? 1 : -1] array191;
  float[(bvec4(true, true, false, false) != bvec4(false, false, false, false)) == true ? 1 : -1] array192;
  float[(bvec4(true, true, false, false) != bvec4(false, false, false, true)) == true ? 1 : -1] array193;
  float[(bvec4(true, true, false, false) != bvec4(false, false, true, false)) == true ? 1 : -1] array194;
  float[(bvec4(true, true, false, false) != bvec4(false, false, true, true)) == true ? 1 : -1] array195;
  float[(bvec4(true, true, false, false) != bvec4(false, true, false, false)) == true ? 1 : -1] array196;
  float[(bvec4(true, true, false, false) != bvec4(false, true, false, true)) == true ? 1 : -1] array197;
  float[(bvec4(true, true, false, false) != bvec4(false, true, true, false)) == true ? 1 : -1] array198;
  float[(bvec4(true, true, false, false) != bvec4(false, true, true, true)) == true ? 1 : -1] array199;
  float[(bvec4(true, true, false, false) != bvec4(true, false, false, false)) == true ? 1 : -1] array200;
  float[(bvec4(true, true, false, false) != bvec4(true, false, false, true)) == true ? 1 : -1] array201;
  float[(bvec4(true, true, false, false) != bvec4(true, false, true, false)) == true ? 1 : -1] array202;
  float[(bvec4(true, true, false, false) != bvec4(true, false, true, true)) == true ? 1 : -1] array203;
  float[(bvec4(true, true, false, false) != bvec4(true, true, false, false)) == false ? 1 : -1] array204;
  float[(bvec4(true, true, false, false) != bvec4(true, true, false, true)) == true ? 1 : -1] array205;
  float[(bvec4(true, true, false, false) != bvec4(true, true, true, false)) == true ? 1 : -1] array206;
  float[(bvec4(true, true, false, false) != bvec4(true, true, true, true)) == true ? 1 : -1] array207;
  float[(bvec4(true, true, false, true) != bvec4(false, false, false, false)) == true ? 1 : -1] array208;
  float[(bvec4(true, true, false, true) != bvec4(false, false, false, true)) == true ? 1 : -1] array209;
  float[(bvec4(true, true, false, true) != bvec4(false, false, true, false)) == true ? 1 : -1] array210;
  float[(bvec4(true, true, false, true) != bvec4(false, false, true, true)) == true ? 1 : -1] array211;
  float[(bvec4(true, true, false, true) != bvec4(false, true, false, false)) == true ? 1 : -1] array212;
  float[(bvec4(true, true, false, true) != bvec4(false, true, false, true)) == true ? 1 : -1] array213;
  float[(bvec4(true, true, false, true) != bvec4(false, true, true, false)) == true ? 1 : -1] array214;
  float[(bvec4(true, true, false, true) != bvec4(false, true, true, true)) == true ? 1 : -1] array215;
  float[(bvec4(true, true, false, true) != bvec4(true, false, false, false)) == true ? 1 : -1] array216;
  float[(bvec4(true, true, false, true) != bvec4(true, false, false, true)) == true ? 1 : -1] array217;
  float[(bvec4(true, true, false, true) != bvec4(true, false, true, false)) == true ? 1 : -1] array218;
  float[(bvec4(true, true, false, true) != bvec4(true, false, true, true)) == true ? 1 : -1] array219;
  float[(bvec4(true, true, false, true) != bvec4(true, true, false, false)) == true ? 1 : -1] array220;
  float[(bvec4(true, true, false, true) != bvec4(true, true, false, true)) == false ? 1 : -1] array221;
  float[(bvec4(true, true, false, true) != bvec4(true, true, true, false)) == true ? 1 : -1] array222;
  float[(bvec4(true, true, false, true) != bvec4(true, true, true, true)) == true ? 1 : -1] array223;
  float[(bvec4(true, true, true, false) != bvec4(false, false, false, false)) == true ? 1 : -1] array224;
  float[(bvec4(true, true, true, false) != bvec4(false, false, false, true)) == true ? 1 : -1] array225;
  float[(bvec4(true, true, true, false) != bvec4(false, false, true, false)) == true ? 1 : -1] array226;
  float[(bvec4(true, true, true, false) != bvec4(false, false, true, true)) == true ? 1 : -1] array227;
  float[(bvec4(true, true, true, false) != bvec4(false, true, false, false)) == true ? 1 : -1] array228;
  float[(bvec4(true, true, true, false) != bvec4(false, true, false, true)) == true ? 1 : -1] array229;
  float[(bvec4(true, true, true, false) != bvec4(false, true, true, false)) == true ? 1 : -1] array230;
  float[(bvec4(true, true, true, false) != bvec4(false, true, true, true)) == true ? 1 : -1] array231;
  float[(bvec4(true, true, true, false) != bvec4(true, false, false, false)) == true ? 1 : -1] array232;
  float[(bvec4(true, true, true, false) != bvec4(true, false, false, true)) == true ? 1 : -1] array233;
  float[(bvec4(true, true, true, false) != bvec4(true, false, true, false)) == true ? 1 : -1] array234;
  float[(bvec4(true, true, true, false) != bvec4(true, false, true, true)) == true ? 1 : -1] array235;
  float[(bvec4(true, true, true, false) != bvec4(true, true, false, false)) == true ? 1 : -1] array236;
  float[(bvec4(true, true, true, false) != bvec4(true, true, false, true)) == true ? 1 : -1] array237;
  float[(bvec4(true, true, true, false) != bvec4(true, true, true, false)) == false ? 1 : -1] array238;
  float[(bvec4(true, true, true, false) != bvec4(true, true, true, true)) == true ? 1 : -1] array239;
  float[(bvec4(true, true, true, true) != bvec4(false, false, false, false)) == true ? 1 : -1] array240;
  float[(bvec4(true, true, true, true) != bvec4(false, false, false, true)) == true ? 1 : -1] array241;
  float[(bvec4(true, true, true, true) != bvec4(false, false, true, false)) == true ? 1 : -1] array242;
  float[(bvec4(true, true, true, true) != bvec4(false, false, true, true)) == true ? 1 : -1] array243;
  float[(bvec4(true, true, true, true) != bvec4(false, true, false, false)) == true ? 1 : -1] array244;
  float[(bvec4(true, true, true, true) != bvec4(false, true, false, true)) == true ? 1 : -1] array245;
  float[(bvec4(true, true, true, true) != bvec4(false, true, true, false)) == true ? 1 : -1] array246;
  float[(bvec4(true, true, true, true) != bvec4(false, true, true, true)) == true ? 1 : -1] array247;
  float[(bvec4(true, true, true, true) != bvec4(true, false, false, false)) == true ? 1 : -1] array248;
  float[(bvec4(true, true, true, true) != bvec4(true, false, false, true)) == true ? 1 : -1] array249;
  float[(bvec4(true, true, true, true) != bvec4(true, false, true, false)) == true ? 1 : -1] array250;
  float[(bvec4(true, true, true, true) != bvec4(true, false, true, true)) == true ? 1 : -1] array251;
  float[(bvec4(true, true, true, true) != bvec4(true, true, false, false)) == true ? 1 : -1] array252;
  float[(bvec4(true, true, true, true) != bvec4(true, true, false, true)) == true ? 1 : -1] array253;
  float[(bvec4(true, true, true, true) != bvec4(true, true, true, false)) == true ? 1 : -1] array254;
  float[(bvec4(true, true, true, true) != bvec4(true, true, true, true)) == false ? 1 : -1] array255;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length() + array12.length() + array13.length() + array14.length() + array15.length() + array16.length() + array17.length() + array18.length() + array19.length() + array20.length() + array21.length() + array22.length() + array23.length() + array24.length() + array25.length() + array26.length() + array27.length() + array28.length() + array29.length() + array30.length() + array31.length() + array32.length() + array33.length() + array34.length() + array35.length() + array36.length() + array37.length() + array38.length() + array39.length() + array40.length() + array41.length() + array42.length() + array43.length() + array44.length() + array45.length() + array46.length() + array47.length() + array48.length() + array49.length() + array50.length() + array51.length() + array52.length() + array53.length() + array54.length() + array55.length() + array56.length() + array57.length() + array58.length() + array59.length() + array60.length() + array61.length() + array62.length() + array63.length() + array64.length() + array65.length() + array66.length() + array67.length() + array68.length() + array69.length() + array70.length() + array71.length() + array72.length() + array73.length() + array74.length() + array75.length() + array76.length() + array77.length() + array78.length() + array79.length() + array80.length() + array81.length() + array82.length() + array83.length() + array84.length() + array85.length() + array86.length() + array87.length() + array88.length() + array89.length() + array90.length() + array91.length() + array92.length() + array93.length() + array94.length() + array95.length() + array96.length() + array97.length() + array98.length() + array99.length() + array100.length() + array101.length() + array102.length() + array103.length() + array104.length() + array105.length() + array106.length() + array107.length() + array108.length() + array109.length() + array110.length() + array111.length() + array112.length() + array113.length() + array114.length() + array115.length() + array116.length() + array117.length() + array118.length() + array119.length() + array120.length() + array121.length() + array122.length() + array123.length() + array124.length() + array125.length() + array126.length() + array127.length() + array128.length() + array129.length() + array130.length() + array131.length() + array132.length() + array133.length() + array134.length() + array135.length() + array136.length() + array137.length() + array138.length() + array139.length() + array140.length() + array141.length() + array142.length() + array143.length() + array144.length() + array145.length() + array146.length() + array147.length() + array148.length() + array149.length() + array150.length() + array151.length() + array152.length() + array153.length() + array154.length() + array155.length() + array156.length() + array157.length() + array158.length() + array159.length() + array160.length() + array161.length() + array162.length() + array163.length() + array164.length() + array165.length() + array166.length() + array167.length() + array168.length() + array169.length() + array170.length() + array171.length() + array172.length() + array173.length() + array174.length() + array175.length() + array176.length() + array177.length() + array178.length() + array179.length() + array180.length() + array181.length() + array182.length() + array183.length() + array184.length() + array185.length() + array186.length() + array187.length() + array188.length() + array189.length() + array190.length() + array191.length() + array192.length() + array193.length() + array194.length() + array195.length() + array196.length() + array197.length() + array198.length() + array199.length() + array200.length() + array201.length() + array202.length() + array203.length() + array204.length() + array205.length() + array206.length() + array207.length() + array208.length() + array209.length() + array210.length() + array211.length() + array212.length() + array213.length() + array214.length() + array215.length() + array216.length() + array217.length() + array218.length() + array219.length() + array220.length() + array221.length() + array222.length() + array223.length() + array224.length() + array225.length() + array226.length() + array227.length() + array228.length() + array229.length() + array230.length() + array231.length() + array232.length() + array233.length() + array234.length() + array235.length() + array236.length() + array237.length() + array238.length() + array239.length() + array240.length() + array241.length() + array242.length() + array243.length() + array244.length() + array245.length() + array246.length() + array247.length() + array248.length() + array249.length() + array250.length() + array251.length() + array252.length() + array253.length() + array254.length() + array255.length());
}
