/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constantfolded correctly:
 * (ivec2(38, 35) - ivec2(38, 35)) => ivec2(0, 0)
 * (ivec2(38, 35) - ivec2(64, -9)) => ivec2(-26, 44)
 * (ivec2(38, 35) - ivec2(64, 9)) => ivec2(-26, 26)
 * (ivec2(64, -9) - ivec2(38, 35)) => ivec2(26, -44)
 * (ivec2(64, -9) - ivec2(64, -9)) => ivec2(0, 0)
 * (ivec2(64, -9) - ivec2(64, 9)) => ivec2(0, -18)
 * (ivec2(64, 9) - ivec2(38, 35)) => ivec2(26, -26)
 * (ivec2(64, 9) - ivec2(64, -9)) => ivec2(0, 18)
 * (ivec2(64, 9) - ivec2(64, 9)) => ivec2(0, 0)
 */
#version 120

void main()
{
  float[all(equal((ivec2(38, 35) - ivec2(38, 35)), ivec2(0, 0))) ? 1 : -1] array0;
  float[all(equal((ivec2(38, 35) - ivec2(64, -9)), ivec2(-26, 44))) ? 1 : -1] array1;
  float[all(equal((ivec2(38, 35) - ivec2(64, 9)), ivec2(-26, 26))) ? 1 : -1] array2;
  float[all(equal((ivec2(64, -9) - ivec2(38, 35)), ivec2(26, -44))) ? 1 : -1] array3;
  float[all(equal((ivec2(64, -9) - ivec2(64, -9)), ivec2(0, 0))) ? 1 : -1] array4;
  float[all(equal((ivec2(64, -9) - ivec2(64, 9)), ivec2(0, -18))) ? 1 : -1] array5;
  float[all(equal((ivec2(64, 9) - ivec2(38, 35)), ivec2(26, -26))) ? 1 : -1] array6;
  float[all(equal((ivec2(64, 9) - ivec2(64, -9)), ivec2(0, 18))) ? 1 : -1] array7;
  float[all(equal((ivec2(64, 9) - ivec2(64, 9)), ivec2(0, 0))) ? 1 : -1] array8;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length());
}
