/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constantfolded correctly:
 * (ivec3(-36, 32, -88) & 12) => ivec3(12, 0, 8)
 * (ivec3(-36, 32, -88) & -6) => ivec3(-40, 32, -88)
 * (ivec3(-36, 32, -88) & 76) => ivec3(76, 0, 8)
 * (ivec3(-36, 32, -88) & -32) => ivec3(-64, 32, -96)
 * (ivec3(-36, 32, -88) & 0) => ivec3(0, 0, 0)
 * (ivec3(36, 32, 88) & 12) => ivec3(4, 0, 8)
 * (ivec3(36, 32, 88) & -6) => ivec3(32, 32, 88)
 * (ivec3(36, 32, 88) & 76) => ivec3(4, 0, 72)
 * (ivec3(36, 32, 88) & -32) => ivec3(32, 32, 64)
 * (ivec3(36, 32, 88) & 0) => ivec3(0, 0, 0)
 * (ivec3(59, 77, 68) & 12) => ivec3(8, 12, 4)
 * (ivec3(59, 77, 68) & -6) => ivec3(58, 72, 64)
 * (ivec3(59, 77, 68) & 76) => ivec3(8, 76, 68)
 * (ivec3(59, 77, 68) & -32) => ivec3(32, 64, 64)
 * (ivec3(59, 77, 68) & 0) => ivec3(0, 0, 0)
 */
#version 130

void main()
{
  float[all(equal((ivec3(-36, 32, -88) & 12), ivec3(12, 0, 8))) ? 1 : -1] array0;
  float[all(equal((ivec3(-36, 32, -88) & -6), ivec3(-40, 32, -88))) ? 1 : -1] array1;
  float[all(equal((ivec3(-36, 32, -88) & 76), ivec3(76, 0, 8))) ? 1 : -1] array2;
  float[all(equal((ivec3(-36, 32, -88) & -32), ivec3(-64, 32, -96))) ? 1 : -1] array3;
  float[all(equal((ivec3(-36, 32, -88) & 0), ivec3(0, 0, 0))) ? 1 : -1] array4;
  float[all(equal((ivec3(36, 32, 88) & 12), ivec3(4, 0, 8))) ? 1 : -1] array5;
  float[all(equal((ivec3(36, 32, 88) & -6), ivec3(32, 32, 88))) ? 1 : -1] array6;
  float[all(equal((ivec3(36, 32, 88) & 76), ivec3(4, 0, 72))) ? 1 : -1] array7;
  float[all(equal((ivec3(36, 32, 88) & -32), ivec3(32, 32, 64))) ? 1 : -1] array8;
  float[all(equal((ivec3(36, 32, 88) & 0), ivec3(0, 0, 0))) ? 1 : -1] array9;
  float[all(equal((ivec3(59, 77, 68) & 12), ivec3(8, 12, 4))) ? 1 : -1] array10;
  float[all(equal((ivec3(59, 77, 68) & -6), ivec3(58, 72, 64))) ? 1 : -1] array11;
  float[all(equal((ivec3(59, 77, 68) & 76), ivec3(8, 76, 68))) ? 1 : -1] array12;
  float[all(equal((ivec3(59, 77, 68) & -32), ivec3(32, 64, 64))) ? 1 : -1] array13;
  float[all(equal((ivec3(59, 77, 68) & 0), ivec3(0, 0, 0))) ? 1 : -1] array14;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length() + array12.length() + array13.length() + array14.length());
}
