/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constantfolded correctly:
 * (12 & (~ abs(ivec2(38, 35)))) => ivec2(8, 12)
 * (12 & (~ abs(ivec2(64, -9)))) => ivec2(12, 4)
 * (12 & (~ abs(ivec2(64, 9)))) => ivec2(12, 4)
 * (-6 & (~ abs(ivec2(38, 35)))) => ivec2(-40, -40)
 * (-6 & (~ abs(ivec2(64, -9)))) => ivec2(-70, -14)
 * (-6 & (~ abs(ivec2(64, 9)))) => ivec2(-70, -14)
 * (76 & (~ abs(ivec2(38, 35)))) => ivec2(72, 76)
 * (76 & (~ abs(ivec2(64, -9)))) => ivec2(12, 68)
 * (76 & (~ abs(ivec2(64, 9)))) => ivec2(12, 68)
 * (-32 & (~ abs(ivec2(38, 35)))) => ivec2(-64, -64)
 * (-32 & (~ abs(ivec2(64, -9)))) => ivec2(-96, -32)
 * (-32 & (~ abs(ivec2(64, 9)))) => ivec2(-96, -32)
 * (0 & (~ abs(ivec2(38, 35)))) => ivec2(0, 0)
 * (0 & (~ abs(ivec2(64, -9)))) => ivec2(0, 0)
 * (0 & (~ abs(ivec2(64, 9)))) => ivec2(0, 0)
 */
#version 130

void main()
{
  float[all(equal((12 & (~ abs(ivec2(38, 35)))), ivec2(8, 12))) ? 1 : -1] array0;
  float[all(equal((12 & (~ abs(ivec2(64, -9)))), ivec2(12, 4))) ? 1 : -1] array1;
  float[all(equal((12 & (~ abs(ivec2(64, 9)))), ivec2(12, 4))) ? 1 : -1] array2;
  float[all(equal((-6 & (~ abs(ivec2(38, 35)))), ivec2(-40, -40))) ? 1 : -1] array3;
  float[all(equal((-6 & (~ abs(ivec2(64, -9)))), ivec2(-70, -14))) ? 1 : -1] array4;
  float[all(equal((-6 & (~ abs(ivec2(64, 9)))), ivec2(-70, -14))) ? 1 : -1] array5;
  float[all(equal((76 & (~ abs(ivec2(38, 35)))), ivec2(72, 76))) ? 1 : -1] array6;
  float[all(equal((76 & (~ abs(ivec2(64, -9)))), ivec2(12, 68))) ? 1 : -1] array7;
  float[all(equal((76 & (~ abs(ivec2(64, 9)))), ivec2(12, 68))) ? 1 : -1] array8;
  float[all(equal((-32 & (~ abs(ivec2(38, 35)))), ivec2(-64, -64))) ? 1 : -1] array9;
  float[all(equal((-32 & (~ abs(ivec2(64, -9)))), ivec2(-96, -32))) ? 1 : -1] array10;
  float[all(equal((-32 & (~ abs(ivec2(64, 9)))), ivec2(-96, -32))) ? 1 : -1] array11;
  float[all(equal((0 & (~ abs(ivec2(38, 35)))), ivec2(0, 0))) ? 1 : -1] array12;
  float[all(equal((0 & (~ abs(ivec2(64, -9)))), ivec2(0, 0))) ? 1 : -1] array13;
  float[all(equal((0 & (~ abs(ivec2(64, 9)))), ivec2(0, 0))) ? 1 : -1] array14;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length() + array12.length() + array13.length() + array14.length());
}
