/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constantfolded correctly:
 * (uvec2(38u, 35u) & (~ 0u)) => uvec2(38u, 35u)
 * (uvec2(38u, 35u) & (~ 6u)) => uvec2(32u, 33u)
 * (uvec2(38u, 35u) & (~ 12u)) => uvec2(34u, 35u)
 * (uvec2(38u, 35u) & (~ 32u)) => uvec2(6u, 3u)
 * (uvec2(38u, 35u) & (~ 74u)) => uvec2(36u, 33u)
 * (uvec2(64u, 9u) & (~ 0u)) => uvec2(64u, 9u)
 * (uvec2(64u, 9u) & (~ 6u)) => uvec2(64u, 9u)
 * (uvec2(64u, 9u) & (~ 12u)) => uvec2(64u, 1u)
 * (uvec2(64u, 9u) & (~ 32u)) => uvec2(64u, 9u)
 * (uvec2(64u, 9u) & (~ 74u)) => uvec2(0u, 1u)
 */
#version 130

void main()
{
  float[all(equal((uvec2(38u, 35u) & (~ 0u)), uvec2(38u, 35u))) ? 1 : -1] array0;
  float[all(equal((uvec2(38u, 35u) & (~ 6u)), uvec2(32u, 33u))) ? 1 : -1] array1;
  float[all(equal((uvec2(38u, 35u) & (~ 12u)), uvec2(34u, 35u))) ? 1 : -1] array2;
  float[all(equal((uvec2(38u, 35u) & (~ 32u)), uvec2(6u, 3u))) ? 1 : -1] array3;
  float[all(equal((uvec2(38u, 35u) & (~ 74u)), uvec2(36u, 33u))) ? 1 : -1] array4;
  float[all(equal((uvec2(64u, 9u) & (~ 0u)), uvec2(64u, 9u))) ? 1 : -1] array5;
  float[all(equal((uvec2(64u, 9u) & (~ 6u)), uvec2(64u, 9u))) ? 1 : -1] array6;
  float[all(equal((uvec2(64u, 9u) & (~ 12u)), uvec2(64u, 1u))) ? 1 : -1] array7;
  float[all(equal((uvec2(64u, 9u) & (~ 32u)), uvec2(64u, 9u))) ? 1 : -1] array8;
  float[all(equal((uvec2(64u, 9u) & (~ 74u)), uvec2(0u, 1u))) ? 1 : -1] array9;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length());
}
