/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constantfolded correctly:
 * (uvec3(36u, 32u, 88u) & 0u) => uvec3(0u, 0u, 0u)
 * (uvec3(36u, 32u, 88u) & 6u) => uvec3(4u, 0u, 0u)
 * (uvec3(36u, 32u, 88u) & 12u) => uvec3(4u, 0u, 8u)
 * (uvec3(36u, 32u, 88u) & 32u) => uvec3(32u, 32u, 0u)
 * (uvec3(36u, 32u, 88u) & 74u) => uvec3(0u, 0u, 72u)
 * (uvec3(59u, 77u, 68u) & 0u) => uvec3(0u, 0u, 0u)
 * (uvec3(59u, 77u, 68u) & 6u) => uvec3(2u, 4u, 4u)
 * (uvec3(59u, 77u, 68u) & 12u) => uvec3(8u, 12u, 4u)
 * (uvec3(59u, 77u, 68u) & 32u) => uvec3(32u, 0u, 0u)
 * (uvec3(59u, 77u, 68u) & 74u) => uvec3(10u, 72u, 64u)
 */
#version 130

void main()
{
  float[all(equal((uvec3(36u, 32u, 88u) & 0u), uvec3(0u, 0u, 0u))) ? 1 : -1] array0;
  float[all(equal((uvec3(36u, 32u, 88u) & 6u), uvec3(4u, 0u, 0u))) ? 1 : -1] array1;
  float[all(equal((uvec3(36u, 32u, 88u) & 12u), uvec3(4u, 0u, 8u))) ? 1 : -1] array2;
  float[all(equal((uvec3(36u, 32u, 88u) & 32u), uvec3(32u, 32u, 0u))) ? 1 : -1] array3;
  float[all(equal((uvec3(36u, 32u, 88u) & 74u), uvec3(0u, 0u, 72u))) ? 1 : -1] array4;
  float[all(equal((uvec3(59u, 77u, 68u) & 0u), uvec3(0u, 0u, 0u))) ? 1 : -1] array5;
  float[all(equal((uvec3(59u, 77u, 68u) & 6u), uvec3(2u, 4u, 4u))) ? 1 : -1] array6;
  float[all(equal((uvec3(59u, 77u, 68u) & 12u), uvec3(8u, 12u, 4u))) ? 1 : -1] array7;
  float[all(equal((uvec3(59u, 77u, 68u) & 32u), uvec3(32u, 0u, 0u))) ? 1 : -1] array8;
  float[all(equal((uvec3(59u, 77u, 68u) & 74u), uvec3(10u, 72u, 64u))) ? 1 : -1] array9;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length());
}
