/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constantfolded correctly:
 * (ivec4(-64, 72, 88, -76) | abs(~ 12)) => ivec4(-51, 77, 93, -67)
 * (ivec4(-64, 72, 88, -76) | abs(~ -6)) => ivec4(-59, 77, 93, -75)
 * (ivec4(-64, 72, 88, -76) | abs(~ 76)) => ivec4(-51, 77, 93, -3)
 * (ivec4(-64, 72, 88, -76) | abs(~ -32)) => ivec4(-33, 95, 95, -65)
 * (ivec4(-64, 72, 88, -76) | abs(~ 0)) => ivec4(-63, 73, 89, -75)
 * (ivec4(64, 72, 88, 76) | abs(~ 12)) => ivec4(77, 77, 93, 77)
 * (ivec4(64, 72, 88, 76) | abs(~ -6)) => ivec4(69, 77, 93, 77)
 * (ivec4(64, 72, 88, 76) | abs(~ 76)) => ivec4(77, 77, 93, 77)
 * (ivec4(64, 72, 88, 76) | abs(~ -32)) => ivec4(95, 95, 95, 95)
 * (ivec4(64, 72, 88, 76) | abs(~ 0)) => ivec4(65, 73, 89, 77)
 * (ivec4(-24, 40, -23, 64) | abs(~ 12)) => ivec4(-19, 45, -19, 77)
 * (ivec4(-24, 40, -23, 64) | abs(~ -6)) => ivec4(-19, 45, -19, 69)
 * (ivec4(-24, 40, -23, 64) | abs(~ 76)) => ivec4(-19, 109, -19, 77)
 * (ivec4(-24, 40, -23, 64) | abs(~ -32)) => ivec4(-1, 63, -1, 95)
 * (ivec4(-24, 40, -23, 64) | abs(~ 0)) => ivec4(-23, 41, -23, 65)
 * (ivec4(24, 40, 23, 64) | abs(~ 12)) => ivec4(29, 45, 31, 77)
 * (ivec4(24, 40, 23, 64) | abs(~ -6)) => ivec4(29, 45, 23, 69)
 * (ivec4(24, 40, 23, 64) | abs(~ 76)) => ivec4(93, 109, 95, 77)
 * (ivec4(24, 40, 23, 64) | abs(~ -32)) => ivec4(31, 63, 31, 95)
 * (ivec4(24, 40, 23, 64) | abs(~ 0)) => ivec4(25, 41, 23, 65)
 */
#version 130

void main()
{
  float[all(equal((ivec4(-64, 72, 88, -76) | abs(~ 12)), ivec4(-51, 77, 93, -67))) ? 1 : -1] array0;
  float[all(equal((ivec4(-64, 72, 88, -76) | abs(~ -6)), ivec4(-59, 77, 93, -75))) ? 1 : -1] array1;
  float[all(equal((ivec4(-64, 72, 88, -76) | abs(~ 76)), ivec4(-51, 77, 93, -3))) ? 1 : -1] array2;
  float[all(equal((ivec4(-64, 72, 88, -76) | abs(~ -32)), ivec4(-33, 95, 95, -65))) ? 1 : -1] array3;
  float[all(equal((ivec4(-64, 72, 88, -76) | abs(~ 0)), ivec4(-63, 73, 89, -75))) ? 1 : -1] array4;
  float[all(equal((ivec4(64, 72, 88, 76) | abs(~ 12)), ivec4(77, 77, 93, 77))) ? 1 : -1] array5;
  float[all(equal((ivec4(64, 72, 88, 76) | abs(~ -6)), ivec4(69, 77, 93, 77))) ? 1 : -1] array6;
  float[all(equal((ivec4(64, 72, 88, 76) | abs(~ 76)), ivec4(77, 77, 93, 77))) ? 1 : -1] array7;
  float[all(equal((ivec4(64, 72, 88, 76) | abs(~ -32)), ivec4(95, 95, 95, 95))) ? 1 : -1] array8;
  float[all(equal((ivec4(64, 72, 88, 76) | abs(~ 0)), ivec4(65, 73, 89, 77))) ? 1 : -1] array9;
  float[all(equal((ivec4(-24, 40, -23, 64) | abs(~ 12)), ivec4(-19, 45, -19, 77))) ? 1 : -1] array10;
  float[all(equal((ivec4(-24, 40, -23, 64) | abs(~ -6)), ivec4(-19, 45, -19, 69))) ? 1 : -1] array11;
  float[all(equal((ivec4(-24, 40, -23, 64) | abs(~ 76)), ivec4(-19, 109, -19, 77))) ? 1 : -1] array12;
  float[all(equal((ivec4(-24, 40, -23, 64) | abs(~ -32)), ivec4(-1, 63, -1, 95))) ? 1 : -1] array13;
  float[all(equal((ivec4(-24, 40, -23, 64) | abs(~ 0)), ivec4(-23, 41, -23, 65))) ? 1 : -1] array14;
  float[all(equal((ivec4(24, 40, 23, 64) | abs(~ 12)), ivec4(29, 45, 31, 77))) ? 1 : -1] array15;
  float[all(equal((ivec4(24, 40, 23, 64) | abs(~ -6)), ivec4(29, 45, 23, 69))) ? 1 : -1] array16;
  float[all(equal((ivec4(24, 40, 23, 64) | abs(~ 76)), ivec4(93, 109, 95, 77))) ? 1 : -1] array17;
  float[all(equal((ivec4(24, 40, 23, 64) | abs(~ -32)), ivec4(31, 63, 31, 95))) ? 1 : -1] array18;
  float[all(equal((ivec4(24, 40, 23, 64) | abs(~ 0)), ivec4(25, 41, 23, 65))) ? 1 : -1] array19;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length() + array12.length() + array13.length() + array14.length() + array15.length() + array16.length() + array17.length() + array18.length() + array19.length());
}
