/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constantfolded correctly:
 * (ivec4(-64, 72, 88, -76) | (- ivec4(-64, 72, 88, -76))) => ivec4(-64, -8, -8, -4)
 * (ivec4(-64, 72, 88, -76) | (- ivec4(64, 72, 88, 76))) => ivec4(-64, -8, -8, -76)
 * (ivec4(-64, 72, 88, -76) | (- ivec4(-24, 40, -23, 64))) => ivec4(-40, -40, 95, -12)
 * (ivec4(-64, 72, 88, -76) | (- ivec4(24, 40, 23, 64))) => ivec4(-24, -40, -7, -12)
 * (ivec4(64, 72, 88, 76) | (- ivec4(-64, 72, 88, -76))) => ivec4(64, -8, -8, 76)
 * (ivec4(64, 72, 88, 76) | (- ivec4(64, 72, 88, 76))) => ivec4(-64, -8, -8, -4)
 * (ivec4(64, 72, 88, 76) | (- ivec4(-24, 40, -23, 64))) => ivec4(88, -40, 95, -52)
 * (ivec4(64, 72, 88, 76) | (- ivec4(24, 40, 23, 64))) => ivec4(-24, -40, -7, -52)
 * (ivec4(-24, 40, -23, 64) | (- ivec4(-64, 72, 88, -76))) => ivec4(-24, -72, -23, 76)
 * (ivec4(-24, 40, -23, 64) | (- ivec4(64, 72, 88, 76))) => ivec4(-24, -72, -23, -12)
 * (ivec4(-24, 40, -23, 64) | (- ivec4(-24, 40, -23, 64))) => ivec4(-8, -8, -1, -64)
 * (ivec4(-24, 40, -23, 64) | (- ivec4(24, 40, 23, 64))) => ivec4(-24, -8, -23, -64)
 * (ivec4(24, 40, 23, 64) | (- ivec4(-64, 72, 88, -76))) => ivec4(88, -72, -65, 76)
 * (ivec4(24, 40, 23, 64) | (- ivec4(64, 72, 88, 76))) => ivec4(-40, -72, -65, -12)
 * (ivec4(24, 40, 23, 64) | (- ivec4(-24, 40, -23, 64))) => ivec4(24, -8, 23, -64)
 * (ivec4(24, 40, 23, 64) | (- ivec4(24, 40, 23, 64))) => ivec4(-8, -8, -1, -64)
 */
#version 130

void main()
{
  float[all(equal((ivec4(-64, 72, 88, -76) | (- ivec4(-64, 72, 88, -76))), ivec4(-64, -8, -8, -4))) ? 1 : -1] array0;
  float[all(equal((ivec4(-64, 72, 88, -76) | (- ivec4(64, 72, 88, 76))), ivec4(-64, -8, -8, -76))) ? 1 : -1] array1;
  float[all(equal((ivec4(-64, 72, 88, -76) | (- ivec4(-24, 40, -23, 64))), ivec4(-40, -40, 95, -12))) ? 1 : -1] array2;
  float[all(equal((ivec4(-64, 72, 88, -76) | (- ivec4(24, 40, 23, 64))), ivec4(-24, -40, -7, -12))) ? 1 : -1] array3;
  float[all(equal((ivec4(64, 72, 88, 76) | (- ivec4(-64, 72, 88, -76))), ivec4(64, -8, -8, 76))) ? 1 : -1] array4;
  float[all(equal((ivec4(64, 72, 88, 76) | (- ivec4(64, 72, 88, 76))), ivec4(-64, -8, -8, -4))) ? 1 : -1] array5;
  float[all(equal((ivec4(64, 72, 88, 76) | (- ivec4(-24, 40, -23, 64))), ivec4(88, -40, 95, -52))) ? 1 : -1] array6;
  float[all(equal((ivec4(64, 72, 88, 76) | (- ivec4(24, 40, 23, 64))), ivec4(-24, -40, -7, -52))) ? 1 : -1] array7;
  float[all(equal((ivec4(-24, 40, -23, 64) | (- ivec4(-64, 72, 88, -76))), ivec4(-24, -72, -23, 76))) ? 1 : -1] array8;
  float[all(equal((ivec4(-24, 40, -23, 64) | (- ivec4(64, 72, 88, 76))), ivec4(-24, -72, -23, -12))) ? 1 : -1] array9;
  float[all(equal((ivec4(-24, 40, -23, 64) | (- ivec4(-24, 40, -23, 64))), ivec4(-8, -8, -1, -64))) ? 1 : -1] array10;
  float[all(equal((ivec4(-24, 40, -23, 64) | (- ivec4(24, 40, 23, 64))), ivec4(-24, -8, -23, -64))) ? 1 : -1] array11;
  float[all(equal((ivec4(24, 40, 23, 64) | (- ivec4(-64, 72, 88, -76))), ivec4(88, -72, -65, 76))) ? 1 : -1] array12;
  float[all(equal((ivec4(24, 40, 23, 64) | (- ivec4(64, 72, 88, 76))), ivec4(-40, -72, -65, -12))) ? 1 : -1] array13;
  float[all(equal((ivec4(24, 40, 23, 64) | (- ivec4(-24, 40, -23, 64))), ivec4(24, -8, 23, -64))) ? 1 : -1] array14;
  float[all(equal((ivec4(24, 40, 23, 64) | (- ivec4(24, 40, 23, 64))), ivec4(-8, -8, -1, -64))) ? 1 : -1] array15;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length() + array12.length() + array13.length() + array14.length() + array15.length());
}
