/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constantfolded correctly:
 * (12 | (~ ivec3(-36, 32, -88))) => ivec3(47, -33, 95)
 * (12 | (~ ivec3(36, 32, 88))) => ivec3(-33, -33, -81)
 * (12 | (~ ivec3(59, 77, 68))) => ivec3(-52, -66, -65)
 * (-6 | (~ ivec3(-36, 32, -88))) => ivec3(-5, -1, -1)
 * (-6 | (~ ivec3(36, 32, 88))) => ivec3(-5, -1, -1)
 * (-6 | (~ ivec3(59, 77, 68))) => ivec3(-2, -6, -5)
 * (76 | (~ ivec3(-36, 32, -88))) => ivec3(111, -33, 95)
 * (76 | (~ ivec3(36, 32, 88))) => ivec3(-33, -33, -17)
 * (76 | (~ ivec3(59, 77, 68))) => ivec3(-52, -2, -1)
 * (-32 | (~ ivec3(-36, 32, -88))) => ivec3(-29, -1, -9)
 * (-32 | (~ ivec3(36, 32, 88))) => ivec3(-5, -1, -25)
 * (-32 | (~ ivec3(59, 77, 68))) => ivec3(-28, -14, -5)
 * (0 | (~ ivec3(-36, 32, -88))) => ivec3(35, -33, 87)
 * (0 | (~ ivec3(36, 32, 88))) => ivec3(-37, -33, -89)
 * (0 | (~ ivec3(59, 77, 68))) => ivec3(-60, -78, -69)
 */
#version 130

void main()
{
  float[all(equal((12 | (~ ivec3(-36, 32, -88))), ivec3(47, -33, 95))) ? 1 : -1] array0;
  float[all(equal((12 | (~ ivec3(36, 32, 88))), ivec3(-33, -33, -81))) ? 1 : -1] array1;
  float[all(equal((12 | (~ ivec3(59, 77, 68))), ivec3(-52, -66, -65))) ? 1 : -1] array2;
  float[all(equal((-6 | (~ ivec3(-36, 32, -88))), ivec3(-5, -1, -1))) ? 1 : -1] array3;
  float[all(equal((-6 | (~ ivec3(36, 32, 88))), ivec3(-5, -1, -1))) ? 1 : -1] array4;
  float[all(equal((-6 | (~ ivec3(59, 77, 68))), ivec3(-2, -6, -5))) ? 1 : -1] array5;
  float[all(equal((76 | (~ ivec3(-36, 32, -88))), ivec3(111, -33, 95))) ? 1 : -1] array6;
  float[all(equal((76 | (~ ivec3(36, 32, 88))), ivec3(-33, -33, -17))) ? 1 : -1] array7;
  float[all(equal((76 | (~ ivec3(59, 77, 68))), ivec3(-52, -2, -1))) ? 1 : -1] array8;
  float[all(equal((-32 | (~ ivec3(-36, 32, -88))), ivec3(-29, -1, -9))) ? 1 : -1] array9;
  float[all(equal((-32 | (~ ivec3(36, 32, 88))), ivec3(-5, -1, -25))) ? 1 : -1] array10;
  float[all(equal((-32 | (~ ivec3(59, 77, 68))), ivec3(-28, -14, -5))) ? 1 : -1] array11;
  float[all(equal((0 | (~ ivec3(-36, 32, -88))), ivec3(35, -33, 87))) ? 1 : -1] array12;
  float[all(equal((0 | (~ ivec3(36, 32, 88))), ivec3(-37, -33, -89))) ? 1 : -1] array13;
  float[all(equal((0 | (~ ivec3(59, 77, 68))), ivec3(-60, -78, -69))) ? 1 : -1] array14;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length() + array12.length() + array13.length() + array14.length());
}
