/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constantfolded correctly:
 * (uvec4(66u, 72u, 87u, 75u) | uvec4(66u, 72u, 87u, 75u)) => uvec4(66u, 72u, 87u, 75u)
 * (uvec4(66u, 72u, 87u, 75u) | uvec4(24u, 40u, 23u, 74u)) => uvec4(90u, 104u, 87u, 75u)
 * (uvec4(24u, 40u, 23u, 74u) | uvec4(66u, 72u, 87u, 75u)) => uvec4(90u, 104u, 87u, 75u)
 * (uvec4(24u, 40u, 23u, 74u) | uvec4(24u, 40u, 23u, 74u)) => uvec4(24u, 40u, 23u, 74u)
 */
#version 130

void main()
{
  float[all(equal((uvec4(66u, 72u, 87u, 75u) | uvec4(66u, 72u, 87u, 75u)), uvec4(66u, 72u, 87u, 75u))) ? 1 : -1] array0;
  float[all(equal((uvec4(66u, 72u, 87u, 75u) | uvec4(24u, 40u, 23u, 74u)), uvec4(90u, 104u, 87u, 75u))) ? 1 : -1] array1;
  float[all(equal((uvec4(24u, 40u, 23u, 74u) | uvec4(66u, 72u, 87u, 75u)), uvec4(90u, 104u, 87u, 75u))) ? 1 : -1] array2;
  float[all(equal((uvec4(24u, 40u, 23u, 74u) | uvec4(24u, 40u, 23u, 74u)), uvec4(24u, 40u, 23u, 74u))) ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
