/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constantfolded correctly:
 * (12 ^ abs(~ ivec3(-36, 32, -88))) => ivec3(47, 45, 91)
 * (12 ^ abs(~ ivec3(36, 32, 88))) => ivec3(41, 45, 85)
 * (12 ^ abs(~ ivec3(59, 77, 68))) => ivec3(48, 66, 73)
 * (-6 ^ abs(~ ivec3(-36, 32, -88))) => ivec3(-39, -37, -83)
 * (-6 ^ abs(~ ivec3(36, 32, 88))) => ivec3(-33, -37, -93)
 * (-6 ^ abs(~ ivec3(59, 77, 68))) => ivec3(-58, -76, -65)
 * (76 ^ abs(~ ivec3(-36, 32, -88))) => ivec3(111, 109, 27)
 * (76 ^ abs(~ ivec3(36, 32, 88))) => ivec3(105, 109, 21)
 * (76 ^ abs(~ ivec3(59, 77, 68))) => ivec3(112, 2, 9)
 * (-32 ^ abs(~ ivec3(-36, 32, -88))) => ivec3(-61, -63, -73)
 * (-32 ^ abs(~ ivec3(36, 32, 88))) => ivec3(-59, -63, -71)
 * (-32 ^ abs(~ ivec3(59, 77, 68))) => ivec3(-36, -82, -91)
 * (0 ^ abs(~ ivec3(-36, 32, -88))) => ivec3(35, 33, 87)
 * (0 ^ abs(~ ivec3(36, 32, 88))) => ivec3(37, 33, 89)
 * (0 ^ abs(~ ivec3(59, 77, 68))) => ivec3(60, 78, 69)
 */
#version 130

void main()
{
  float[all(equal((12 ^ abs(~ ivec3(-36, 32, -88))), ivec3(47, 45, 91))) ? 1 : -1] array0;
  float[all(equal((12 ^ abs(~ ivec3(36, 32, 88))), ivec3(41, 45, 85))) ? 1 : -1] array1;
  float[all(equal((12 ^ abs(~ ivec3(59, 77, 68))), ivec3(48, 66, 73))) ? 1 : -1] array2;
  float[all(equal((-6 ^ abs(~ ivec3(-36, 32, -88))), ivec3(-39, -37, -83))) ? 1 : -1] array3;
  float[all(equal((-6 ^ abs(~ ivec3(36, 32, 88))), ivec3(-33, -37, -93))) ? 1 : -1] array4;
  float[all(equal((-6 ^ abs(~ ivec3(59, 77, 68))), ivec3(-58, -76, -65))) ? 1 : -1] array5;
  float[all(equal((76 ^ abs(~ ivec3(-36, 32, -88))), ivec3(111, 109, 27))) ? 1 : -1] array6;
  float[all(equal((76 ^ abs(~ ivec3(36, 32, 88))), ivec3(105, 109, 21))) ? 1 : -1] array7;
  float[all(equal((76 ^ abs(~ ivec3(59, 77, 68))), ivec3(112, 2, 9))) ? 1 : -1] array8;
  float[all(equal((-32 ^ abs(~ ivec3(-36, 32, -88))), ivec3(-61, -63, -73))) ? 1 : -1] array9;
  float[all(equal((-32 ^ abs(~ ivec3(36, 32, 88))), ivec3(-59, -63, -71))) ? 1 : -1] array10;
  float[all(equal((-32 ^ abs(~ ivec3(59, 77, 68))), ivec3(-36, -82, -91))) ? 1 : -1] array11;
  float[all(equal((0 ^ abs(~ ivec3(-36, 32, -88))), ivec3(35, 33, 87))) ? 1 : -1] array12;
  float[all(equal((0 ^ abs(~ ivec3(36, 32, 88))), ivec3(37, 33, 89))) ? 1 : -1] array13;
  float[all(equal((0 ^ abs(~ ivec3(59, 77, 68))), ivec3(60, 78, 69))) ? 1 : -1] array14;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length() + array12.length() + array13.length() + array14.length());
}
