/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constantfolded correctly:
 * (12 ^ (- abs(ivec4(-64, 72, 88, -76)))) => ivec4(-52, -76, -92, -72)
 * (12 ^ (- abs(ivec4(64, 72, 88, 76)))) => ivec4(-52, -76, -92, -72)
 * (12 ^ (- abs(ivec4(-24, 40, -23, 64)))) => ivec4(-28, -44, -27, -52)
 * (12 ^ (- abs(ivec4(24, 40, 23, 64)))) => ivec4(-28, -44, -27, -52)
 * (-6 ^ (- abs(ivec4(-64, 72, 88, -76)))) => ivec4(58, 66, 82, 78)
 * (-6 ^ (- abs(ivec4(64, 72, 88, 76)))) => ivec4(58, 66, 82, 78)
 * (-6 ^ (- abs(ivec4(-24, 40, -23, 64)))) => ivec4(18, 34, 19, 58)
 * (-6 ^ (- abs(ivec4(24, 40, 23, 64)))) => ivec4(18, 34, 19, 58)
 * (76 ^ (- abs(ivec4(-64, 72, 88, -76)))) => ivec4(-116, -12, -28, -8)
 * (76 ^ (- abs(ivec4(64, 72, 88, 76)))) => ivec4(-116, -12, -28, -8)
 * (76 ^ (- abs(ivec4(-24, 40, -23, 64)))) => ivec4(-92, -108, -91, -116)
 * (76 ^ (- abs(ivec4(24, 40, 23, 64)))) => ivec4(-92, -108, -91, -116)
 * (-32 ^ (- abs(ivec4(-64, 72, 88, -76)))) => ivec4(32, 88, 72, 84)
 * (-32 ^ (- abs(ivec4(64, 72, 88, 76)))) => ivec4(32, 88, 72, 84)
 * (-32 ^ (- abs(ivec4(-24, 40, -23, 64)))) => ivec4(8, 56, 9, 32)
 * (-32 ^ (- abs(ivec4(24, 40, 23, 64)))) => ivec4(8, 56, 9, 32)
 * (0 ^ (- abs(ivec4(-64, 72, 88, -76)))) => ivec4(-64, -72, -88, -76)
 * (0 ^ (- abs(ivec4(64, 72, 88, 76)))) => ivec4(-64, -72, -88, -76)
 * (0 ^ (- abs(ivec4(-24, 40, -23, 64)))) => ivec4(-24, -40, -23, -64)
 * (0 ^ (- abs(ivec4(24, 40, 23, 64)))) => ivec4(-24, -40, -23, -64)
 */
#version 130

void main()
{
  float[all(equal((12 ^ (- abs(ivec4(-64, 72, 88, -76)))), ivec4(-52, -76, -92, -72))) ? 1 : -1] array0;
  float[all(equal((12 ^ (- abs(ivec4(64, 72, 88, 76)))), ivec4(-52, -76, -92, -72))) ? 1 : -1] array1;
  float[all(equal((12 ^ (- abs(ivec4(-24, 40, -23, 64)))), ivec4(-28, -44, -27, -52))) ? 1 : -1] array2;
  float[all(equal((12 ^ (- abs(ivec4(24, 40, 23, 64)))), ivec4(-28, -44, -27, -52))) ? 1 : -1] array3;
  float[all(equal((-6 ^ (- abs(ivec4(-64, 72, 88, -76)))), ivec4(58, 66, 82, 78))) ? 1 : -1] array4;
  float[all(equal((-6 ^ (- abs(ivec4(64, 72, 88, 76)))), ivec4(58, 66, 82, 78))) ? 1 : -1] array5;
  float[all(equal((-6 ^ (- abs(ivec4(-24, 40, -23, 64)))), ivec4(18, 34, 19, 58))) ? 1 : -1] array6;
  float[all(equal((-6 ^ (- abs(ivec4(24, 40, 23, 64)))), ivec4(18, 34, 19, 58))) ? 1 : -1] array7;
  float[all(equal((76 ^ (- abs(ivec4(-64, 72, 88, -76)))), ivec4(-116, -12, -28, -8))) ? 1 : -1] array8;
  float[all(equal((76 ^ (- abs(ivec4(64, 72, 88, 76)))), ivec4(-116, -12, -28, -8))) ? 1 : -1] array9;
  float[all(equal((76 ^ (- abs(ivec4(-24, 40, -23, 64)))), ivec4(-92, -108, -91, -116))) ? 1 : -1] array10;
  float[all(equal((76 ^ (- abs(ivec4(24, 40, 23, 64)))), ivec4(-92, -108, -91, -116))) ? 1 : -1] array11;
  float[all(equal((-32 ^ (- abs(ivec4(-64, 72, 88, -76)))), ivec4(32, 88, 72, 84))) ? 1 : -1] array12;
  float[all(equal((-32 ^ (- abs(ivec4(64, 72, 88, 76)))), ivec4(32, 88, 72, 84))) ? 1 : -1] array13;
  float[all(equal((-32 ^ (- abs(ivec4(-24, 40, -23, 64)))), ivec4(8, 56, 9, 32))) ? 1 : -1] array14;
  float[all(equal((-32 ^ (- abs(ivec4(24, 40, 23, 64)))), ivec4(8, 56, 9, 32))) ? 1 : -1] array15;
  float[all(equal((0 ^ (- abs(ivec4(-64, 72, 88, -76)))), ivec4(-64, -72, -88, -76))) ? 1 : -1] array16;
  float[all(equal((0 ^ (- abs(ivec4(64, 72, 88, 76)))), ivec4(-64, -72, -88, -76))) ? 1 : -1] array17;
  float[all(equal((0 ^ (- abs(ivec4(-24, 40, -23, 64)))), ivec4(-24, -40, -23, -64))) ? 1 : -1] array18;
  float[all(equal((0 ^ (- abs(ivec4(24, 40, 23, 64)))), ivec4(-24, -40, -23, -64))) ? 1 : -1] array19;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length() + array12.length() + array13.length() + array14.length() + array15.length() + array16.length() + array17.length() + array18.length() + array19.length());
}
