/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constantfolded correctly:
 * (ivec3(-36, 32, -88) ^ (~ abs(12))) => ivec3(47, -45, 91)
 * (ivec3(-36, 32, -88) ^ (~ abs(-6))) => ivec3(37, -39, 81)
 * (ivec3(-36, 32, -88) ^ (~ abs(76))) => ivec3(111, -109, 27)
 * (ivec3(-36, 32, -88) ^ (~ abs(-32))) => ivec3(3, -1, 119)
 * (ivec3(-36, 32, -88) ^ (~ abs(0))) => ivec3(35, -33, 87)
 * (ivec3(36, 32, 88) ^ (~ abs(12))) => ivec3(-41, -45, -85)
 * (ivec3(36, 32, 88) ^ (~ abs(-6))) => ivec3(-35, -39, -95)
 * (ivec3(36, 32, 88) ^ (~ abs(76))) => ivec3(-105, -109, -21)
 * (ivec3(36, 32, 88) ^ (~ abs(-32))) => ivec3(-5, -1, -121)
 * (ivec3(36, 32, 88) ^ (~ abs(0))) => ivec3(-37, -33, -89)
 * (ivec3(59, 77, 68) ^ (~ abs(12))) => ivec3(-56, -66, -73)
 * (ivec3(59, 77, 68) ^ (~ abs(-6))) => ivec3(-62, -76, -67)
 * (ivec3(59, 77, 68) ^ (~ abs(76))) => ivec3(-120, -2, -9)
 * (ivec3(59, 77, 68) ^ (~ abs(-32))) => ivec3(-28, -110, -101)
 * (ivec3(59, 77, 68) ^ (~ abs(0))) => ivec3(-60, -78, -69)
 */
#version 130

void main()
{
  float[all(equal((ivec3(-36, 32, -88) ^ (~ abs(12))), ivec3(47, -45, 91))) ? 1 : -1] array0;
  float[all(equal((ivec3(-36, 32, -88) ^ (~ abs(-6))), ivec3(37, -39, 81))) ? 1 : -1] array1;
  float[all(equal((ivec3(-36, 32, -88) ^ (~ abs(76))), ivec3(111, -109, 27))) ? 1 : -1] array2;
  float[all(equal((ivec3(-36, 32, -88) ^ (~ abs(-32))), ivec3(3, -1, 119))) ? 1 : -1] array3;
  float[all(equal((ivec3(-36, 32, -88) ^ (~ abs(0))), ivec3(35, -33, 87))) ? 1 : -1] array4;
  float[all(equal((ivec3(36, 32, 88) ^ (~ abs(12))), ivec3(-41, -45, -85))) ? 1 : -1] array5;
  float[all(equal((ivec3(36, 32, 88) ^ (~ abs(-6))), ivec3(-35, -39, -95))) ? 1 : -1] array6;
  float[all(equal((ivec3(36, 32, 88) ^ (~ abs(76))), ivec3(-105, -109, -21))) ? 1 : -1] array7;
  float[all(equal((ivec3(36, 32, 88) ^ (~ abs(-32))), ivec3(-5, -1, -121))) ? 1 : -1] array8;
  float[all(equal((ivec3(36, 32, 88) ^ (~ abs(0))), ivec3(-37, -33, -89))) ? 1 : -1] array9;
  float[all(equal((ivec3(59, 77, 68) ^ (~ abs(12))), ivec3(-56, -66, -73))) ? 1 : -1] array10;
  float[all(equal((ivec3(59, 77, 68) ^ (~ abs(-6))), ivec3(-62, -76, -67))) ? 1 : -1] array11;
  float[all(equal((ivec3(59, 77, 68) ^ (~ abs(76))), ivec3(-120, -2, -9))) ? 1 : -1] array12;
  float[all(equal((ivec3(59, 77, 68) ^ (~ abs(-32))), ivec3(-28, -110, -101))) ? 1 : -1] array13;
  float[all(equal((ivec3(59, 77, 68) ^ (~ abs(0))), ivec3(-60, -78, -69))) ? 1 : -1] array14;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length() + array12.length() + array13.length() + array14.length());
}
