/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constantfolded correctly:
 * (uvec4(66u, 72u, 87u, 75u) == uvec4(66u, 72u, 87u, 75u)) => true
 * (uvec4(66u, 72u, 87u, 75u) == uvec4(24u, 40u, 23u, 74u)) => false
 * (uvec4(24u, 40u, 23u, 74u) == uvec4(66u, 72u, 87u, 75u)) => false
 * (uvec4(24u, 40u, 23u, 74u) == uvec4(24u, 40u, 23u, 74u)) => true
 */
#version 130

void main()
{
  float[(uvec4(66u, 72u, 87u, 75u) == uvec4(66u, 72u, 87u, 75u)) == true ? 1 : -1] array0;
  float[(uvec4(66u, 72u, 87u, 75u) == uvec4(24u, 40u, 23u, 74u)) == false ? 1 : -1] array1;
  float[(uvec4(24u, 40u, 23u, 74u) == uvec4(66u, 72u, 87u, 75u)) == false ? 1 : -1] array2;
  float[(uvec4(24u, 40u, 23u, 74u) == uvec4(24u, 40u, 23u, 74u)) == true ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
