/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constantfolded correctly:
 * (uvec3(22u, 23u, 4u) << uvec3(22u, 23u, 4u)) => uvec3(92274688u, 192937984u, 64u)
 * (uvec3(22u, 23u, 4u) << uvec3(19u, 1u, 13u)) => uvec3(11534336u, 46u, 32768u)
 * (uvec3(19u, 1u, 13u) << uvec3(22u, 23u, 4u)) => uvec3(79691776u, 8388608u, 208u)
 * (uvec3(19u, 1u, 13u) << uvec3(19u, 1u, 13u)) => uvec3(9961472u, 2u, 106496u)
 */
#version 130

void main()
{
  float[all(equal((uvec3(22u, 23u, 4u) << uvec3(22u, 23u, 4u)), uvec3(92274688u, 192937984u, 64u))) ? 1 : -1] array0;
  float[all(equal((uvec3(22u, 23u, 4u) << uvec3(19u, 1u, 13u)), uvec3(11534336u, 46u, 32768u))) ? 1 : -1] array1;
  float[all(equal((uvec3(19u, 1u, 13u) << uvec3(22u, 23u, 4u)), uvec3(79691776u, 8388608u, 208u))) ? 1 : -1] array2;
  float[all(equal((uvec3(19u, 1u, 13u) << uvec3(19u, 1u, 13u)), uvec3(9961472u, 2u, 106496u))) ? 1 : -1] array3;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
