/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constantfolded correctly:
 * (uvec4(16u, 24u, 23u, 25u) >> ivec4(16, 24, 23, 25)) => uvec4(0u, 0u, 0u, 0u)
 * (uvec4(16u, 24u, 23u, 25u) >> ivec4(23, 12, 14, 19)) => uvec4(0u, 0u, 0u, 0u)
 * (uvec4(23u, 12u, 14u, 19u) >> ivec4(16, 24, 23, 25)) => uvec4(0u, 0u, 0u, 0u)
 * (uvec4(23u, 12u, 14u, 19u) >> ivec4(23, 12, 14, 19)) => uvec4(0u, 0u, 0u, 0u)
 */
#version 130

void main()
{
  float[all(equal((uvec4(16u, 24u, 23u, 25u) >> ivec4(16, 24, 23, 25)), uvec4(0u, 0u, 0u, 0u))) ? 1 : -1] array0;
  float[all(equal((uvec4(16u, 24u, 23u, 25u) >> ivec4(23, 12, 14, 19)), uvec4(0u, 0u, 0u, 0u))) ? 1 : -1] array1;
  float[all(equal((uvec4(23u, 12u, 14u, 19u) >> ivec4(16, 24, 23, 25)), uvec4(0u, 0u, 0u, 0u))) ? 1 : -1] array2;
  float[all(equal((uvec4(23u, 12u, 14u, 19u) >> ivec4(23, 12, 14, 19)), uvec4(0u, 0u, 0u, 0u))) ? 1 : -1] array3;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
