/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constantfolded correctly:
 * acosh(1.0) => 0.0
 * acosh(1.0) => 0.0
 * acosh(1.1) => 0.44356832
 * acosh(2.0) => 1.316958
 * acosh(11.0) => 3.0889699
 * acosh(1e+10) => 23.718998
 */
#version 150

void main()
{
  float[distance(acosh(1.0), 0.0) <= 9.9999997e-05 ? 1 : -1] array0;
  float[distance(acosh(1.0), 0.0) <= 9.9999997e-05 ? 1 : -1] array1;
  float[distance(acosh(1.1), 0.44356832) <= 0.00044356831 ? 1 : -1] array2;
  float[distance(acosh(2.0), 1.316958) <= 0.001316958 ? 1 : -1] array3;
  float[distance(acosh(11.0), 3.0889699) <= 0.00308897 ? 1 : -1] array4;
  float[distance(acosh(1e+10), 23.718998) <= 0.023718998 ? 1 : -1] array5;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length());
}
