/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constantfolded correctly:
 * clamp(0u, 0u, 0u) => 0u
 * clamp(0u, 0u, 1u) => 0u
 * clamp(0u, 0u, 2u) => 0u
 * clamp(0u, 0u, 5u) => 0u
 * clamp(0u, 0u, 34u) => 0u
 * clamp(0u, 1u, 1u) => 1u
 * clamp(0u, 1u, 2u) => 1u
 * clamp(0u, 1u, 5u) => 1u
 * clamp(0u, 1u, 34u) => 1u
 * clamp(0u, 2u, 2u) => 2u
 * clamp(0u, 2u, 5u) => 2u
 * clamp(0u, 2u, 34u) => 2u
 * clamp(0u, 5u, 5u) => 5u
 * clamp(0u, 5u, 34u) => 5u
 * clamp(0u, 34u, 34u) => 34u
 * clamp(1u, 0u, 0u) => 0u
 * clamp(1u, 0u, 1u) => 1u
 * clamp(1u, 0u, 2u) => 1u
 * clamp(1u, 0u, 5u) => 1u
 * clamp(1u, 0u, 34u) => 1u
 * clamp(1u, 1u, 1u) => 1u
 * clamp(1u, 1u, 2u) => 1u
 * clamp(1u, 1u, 5u) => 1u
 * clamp(1u, 1u, 34u) => 1u
 * clamp(1u, 2u, 2u) => 2u
 * clamp(1u, 2u, 5u) => 2u
 * clamp(1u, 2u, 34u) => 2u
 * clamp(1u, 5u, 5u) => 5u
 * clamp(1u, 5u, 34u) => 5u
 * clamp(1u, 34u, 34u) => 34u
 * clamp(2u, 0u, 0u) => 0u
 * clamp(2u, 0u, 1u) => 1u
 * clamp(2u, 0u, 2u) => 2u
 * clamp(2u, 0u, 5u) => 2u
 * clamp(2u, 0u, 34u) => 2u
 * clamp(2u, 1u, 1u) => 1u
 * clamp(2u, 1u, 2u) => 2u
 * clamp(2u, 1u, 5u) => 2u
 * clamp(2u, 1u, 34u) => 2u
 * clamp(2u, 2u, 2u) => 2u
 * clamp(2u, 2u, 5u) => 2u
 * clamp(2u, 2u, 34u) => 2u
 * clamp(2u, 5u, 5u) => 5u
 * clamp(2u, 5u, 34u) => 5u
 * clamp(2u, 34u, 34u) => 34u
 * clamp(5u, 0u, 0u) => 0u
 * clamp(5u, 0u, 1u) => 1u
 * clamp(5u, 0u, 2u) => 2u
 * clamp(5u, 0u, 5u) => 5u
 * clamp(5u, 0u, 34u) => 5u
 * clamp(5u, 1u, 1u) => 1u
 * clamp(5u, 1u, 2u) => 2u
 * clamp(5u, 1u, 5u) => 5u
 * clamp(5u, 1u, 34u) => 5u
 * clamp(5u, 2u, 2u) => 2u
 * clamp(5u, 2u, 5u) => 5u
 * clamp(5u, 2u, 34u) => 5u
 * clamp(5u, 5u, 5u) => 5u
 * clamp(5u, 5u, 34u) => 5u
 * clamp(5u, 34u, 34u) => 34u
 * clamp(34u, 0u, 0u) => 0u
 * clamp(34u, 0u, 1u) => 1u
 * clamp(34u, 0u, 2u) => 2u
 * clamp(34u, 0u, 5u) => 5u
 * clamp(34u, 0u, 34u) => 34u
 * clamp(34u, 1u, 1u) => 1u
 * clamp(34u, 1u, 2u) => 2u
 * clamp(34u, 1u, 5u) => 5u
 * clamp(34u, 1u, 34u) => 34u
 * clamp(34u, 2u, 2u) => 2u
 * clamp(34u, 2u, 5u) => 5u
 * clamp(34u, 2u, 34u) => 34u
 * clamp(34u, 5u, 5u) => 5u
 * clamp(34u, 5u, 34u) => 34u
 * clamp(34u, 34u, 34u) => 34u
 */
#version 150

void main()
{
  float[clamp(0u, 0u, 0u) == 0u ? 1 : -1] array0;
  float[clamp(0u, 0u, 1u) == 0u ? 1 : -1] array1;
  float[clamp(0u, 0u, 2u) == 0u ? 1 : -1] array2;
  float[clamp(0u, 0u, 5u) == 0u ? 1 : -1] array3;
  float[clamp(0u, 0u, 34u) == 0u ? 1 : -1] array4;
  float[clamp(0u, 1u, 1u) == 1u ? 1 : -1] array5;
  float[clamp(0u, 1u, 2u) == 1u ? 1 : -1] array6;
  float[clamp(0u, 1u, 5u) == 1u ? 1 : -1] array7;
  float[clamp(0u, 1u, 34u) == 1u ? 1 : -1] array8;
  float[clamp(0u, 2u, 2u) == 2u ? 1 : -1] array9;
  float[clamp(0u, 2u, 5u) == 2u ? 1 : -1] array10;
  float[clamp(0u, 2u, 34u) == 2u ? 1 : -1] array11;
  float[clamp(0u, 5u, 5u) == 5u ? 1 : -1] array12;
  float[clamp(0u, 5u, 34u) == 5u ? 1 : -1] array13;
  float[clamp(0u, 34u, 34u) == 34u ? 1 : -1] array14;
  float[clamp(1u, 0u, 0u) == 0u ? 1 : -1] array15;
  float[clamp(1u, 0u, 1u) == 1u ? 1 : -1] array16;
  float[clamp(1u, 0u, 2u) == 1u ? 1 : -1] array17;
  float[clamp(1u, 0u, 5u) == 1u ? 1 : -1] array18;
  float[clamp(1u, 0u, 34u) == 1u ? 1 : -1] array19;
  float[clamp(1u, 1u, 1u) == 1u ? 1 : -1] array20;
  float[clamp(1u, 1u, 2u) == 1u ? 1 : -1] array21;
  float[clamp(1u, 1u, 5u) == 1u ? 1 : -1] array22;
  float[clamp(1u, 1u, 34u) == 1u ? 1 : -1] array23;
  float[clamp(1u, 2u, 2u) == 2u ? 1 : -1] array24;
  float[clamp(1u, 2u, 5u) == 2u ? 1 : -1] array25;
  float[clamp(1u, 2u, 34u) == 2u ? 1 : -1] array26;
  float[clamp(1u, 5u, 5u) == 5u ? 1 : -1] array27;
  float[clamp(1u, 5u, 34u) == 5u ? 1 : -1] array28;
  float[clamp(1u, 34u, 34u) == 34u ? 1 : -1] array29;
  float[clamp(2u, 0u, 0u) == 0u ? 1 : -1] array30;
  float[clamp(2u, 0u, 1u) == 1u ? 1 : -1] array31;
  float[clamp(2u, 0u, 2u) == 2u ? 1 : -1] array32;
  float[clamp(2u, 0u, 5u) == 2u ? 1 : -1] array33;
  float[clamp(2u, 0u, 34u) == 2u ? 1 : -1] array34;
  float[clamp(2u, 1u, 1u) == 1u ? 1 : -1] array35;
  float[clamp(2u, 1u, 2u) == 2u ? 1 : -1] array36;
  float[clamp(2u, 1u, 5u) == 2u ? 1 : -1] array37;
  float[clamp(2u, 1u, 34u) == 2u ? 1 : -1] array38;
  float[clamp(2u, 2u, 2u) == 2u ? 1 : -1] array39;
  float[clamp(2u, 2u, 5u) == 2u ? 1 : -1] array40;
  float[clamp(2u, 2u, 34u) == 2u ? 1 : -1] array41;
  float[clamp(2u, 5u, 5u) == 5u ? 1 : -1] array42;
  float[clamp(2u, 5u, 34u) == 5u ? 1 : -1] array43;
  float[clamp(2u, 34u, 34u) == 34u ? 1 : -1] array44;
  float[clamp(5u, 0u, 0u) == 0u ? 1 : -1] array45;
  float[clamp(5u, 0u, 1u) == 1u ? 1 : -1] array46;
  float[clamp(5u, 0u, 2u) == 2u ? 1 : -1] array47;
  float[clamp(5u, 0u, 5u) == 5u ? 1 : -1] array48;
  float[clamp(5u, 0u, 34u) == 5u ? 1 : -1] array49;
  float[clamp(5u, 1u, 1u) == 1u ? 1 : -1] array50;
  float[clamp(5u, 1u, 2u) == 2u ? 1 : -1] array51;
  float[clamp(5u, 1u, 5u) == 5u ? 1 : -1] array52;
  float[clamp(5u, 1u, 34u) == 5u ? 1 : -1] array53;
  float[clamp(5u, 2u, 2u) == 2u ? 1 : -1] array54;
  float[clamp(5u, 2u, 5u) == 5u ? 1 : -1] array55;
  float[clamp(5u, 2u, 34u) == 5u ? 1 : -1] array56;
  float[clamp(5u, 5u, 5u) == 5u ? 1 : -1] array57;
  float[clamp(5u, 5u, 34u) == 5u ? 1 : -1] array58;
  float[clamp(5u, 34u, 34u) == 34u ? 1 : -1] array59;
  float[clamp(34u, 0u, 0u) == 0u ? 1 : -1] array60;
  float[clamp(34u, 0u, 1u) == 1u ? 1 : -1] array61;
  float[clamp(34u, 0u, 2u) == 2u ? 1 : -1] array62;
  float[clamp(34u, 0u, 5u) == 5u ? 1 : -1] array63;
  float[clamp(34u, 0u, 34u) == 34u ? 1 : -1] array64;
  float[clamp(34u, 1u, 1u) == 1u ? 1 : -1] array65;
  float[clamp(34u, 1u, 2u) == 2u ? 1 : -1] array66;
  float[clamp(34u, 1u, 5u) == 5u ? 1 : -1] array67;
  float[clamp(34u, 1u, 34u) == 34u ? 1 : -1] array68;
  float[clamp(34u, 2u, 2u) == 2u ? 1 : -1] array69;
  float[clamp(34u, 2u, 5u) == 5u ? 1 : -1] array70;
  float[clamp(34u, 2u, 34u) == 34u ? 1 : -1] array71;
  float[clamp(34u, 5u, 5u) == 5u ? 1 : -1] array72;
  float[clamp(34u, 5u, 34u) == 34u ? 1 : -1] array73;
  float[clamp(34u, 34u, 34u) == 34u ? 1 : -1] array74;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length() + array12.length() + array13.length() + array14.length() + array15.length() + array16.length() + array17.length() + array18.length() + array19.length() + array20.length() + array21.length() + array22.length() + array23.length() + array24.length() + array25.length() + array26.length() + array27.length() + array28.length() + array29.length() + array30.length() + array31.length() + array32.length() + array33.length() + array34.length() + array35.length() + array36.length() + array37.length() + array38.length() + array39.length() + array40.length() + array41.length() + array42.length() + array43.length() + array44.length() + array45.length() + array46.length() + array47.length() + array48.length() + array49.length() + array50.length() + array51.length() + array52.length() + array53.length() + array54.length() + array55.length() + array56.length() + array57.length() + array58.length() + array59.length() + array60.length() + array61.length() + array62.length() + array63.length() + array64.length() + array65.length() + array66.length() + array67.length() + array68.length() + array69.length() + array70.length() + array71.length() + array72.length() + array73.length() + array74.length());
}
