/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constantfolded correctly:
 * (ivec4(-64, 72, 88, -76) & abs(~ ivec4(-64, 72, 88, -76))) => ivec4(0, 72, 88, 0)
 * (ivec4(-64, 72, 88, -76) & abs(~ ivec4(64, 72, 88, 76))) => ivec4(64, 72, 88, 4)
 * (ivec4(-64, 72, 88, -76) & abs(~ ivec4(-24, 40, -23, 64))) => ivec4(0, 8, 16, 0)
 * (ivec4(-64, 72, 88, -76) & abs(~ ivec4(24, 40, 23, 64))) => ivec4(0, 8, 24, 0)
 * (ivec4(64, 72, 88, 76) & abs(~ ivec4(-64, 72, 88, -76))) => ivec4(0, 72, 88, 72)
 * (ivec4(64, 72, 88, 76) & abs(~ ivec4(64, 72, 88, 76))) => ivec4(64, 72, 88, 76)
 * (ivec4(64, 72, 88, 76) & abs(~ ivec4(-24, 40, -23, 64))) => ivec4(0, 8, 16, 64)
 * (ivec4(64, 72, 88, 76) & abs(~ ivec4(24, 40, 23, 64))) => ivec4(0, 8, 24, 64)
 * (ivec4(-24, 40, -23, 64) & abs(~ ivec4(-64, 72, 88, -76))) => ivec4(40, 8, 73, 64)
 * (ivec4(-24, 40, -23, 64) & abs(~ ivec4(64, 72, 88, 76))) => ivec4(64, 8, 73, 64)
 * (ivec4(-24, 40, -23, 64) & abs(~ ivec4(-24, 40, -23, 64))) => ivec4(0, 40, 0, 64)
 * (ivec4(-24, 40, -23, 64) & abs(~ ivec4(24, 40, 23, 64))) => ivec4(8, 40, 8, 64)
 * (ivec4(24, 40, 23, 64) & abs(~ ivec4(-64, 72, 88, -76))) => ivec4(24, 8, 17, 64)
 * (ivec4(24, 40, 23, 64) & abs(~ ivec4(64, 72, 88, 76))) => ivec4(0, 8, 17, 64)
 * (ivec4(24, 40, 23, 64) & abs(~ ivec4(-24, 40, -23, 64))) => ivec4(16, 40, 22, 64)
 * (ivec4(24, 40, 23, 64) & abs(~ ivec4(24, 40, 23, 64))) => ivec4(24, 40, 16, 64)
 */
#version 150

void main()
{
  float[all(equal((ivec4(-64, 72, 88, -76) & abs(~ ivec4(-64, 72, 88, -76))), ivec4(0, 72, 88, 0))) ? 1 : -1] array0;
  float[all(equal((ivec4(-64, 72, 88, -76) & abs(~ ivec4(64, 72, 88, 76))), ivec4(64, 72, 88, 4))) ? 1 : -1] array1;
  float[all(equal((ivec4(-64, 72, 88, -76) & abs(~ ivec4(-24, 40, -23, 64))), ivec4(0, 8, 16, 0))) ? 1 : -1] array2;
  float[all(equal((ivec4(-64, 72, 88, -76) & abs(~ ivec4(24, 40, 23, 64))), ivec4(0, 8, 24, 0))) ? 1 : -1] array3;
  float[all(equal((ivec4(64, 72, 88, 76) & abs(~ ivec4(-64, 72, 88, -76))), ivec4(0, 72, 88, 72))) ? 1 : -1] array4;
  float[all(equal((ivec4(64, 72, 88, 76) & abs(~ ivec4(64, 72, 88, 76))), ivec4(64, 72, 88, 76))) ? 1 : -1] array5;
  float[all(equal((ivec4(64, 72, 88, 76) & abs(~ ivec4(-24, 40, -23, 64))), ivec4(0, 8, 16, 64))) ? 1 : -1] array6;
  float[all(equal((ivec4(64, 72, 88, 76) & abs(~ ivec4(24, 40, 23, 64))), ivec4(0, 8, 24, 64))) ? 1 : -1] array7;
  float[all(equal((ivec4(-24, 40, -23, 64) & abs(~ ivec4(-64, 72, 88, -76))), ivec4(40, 8, 73, 64))) ? 1 : -1] array8;
  float[all(equal((ivec4(-24, 40, -23, 64) & abs(~ ivec4(64, 72, 88, 76))), ivec4(64, 8, 73, 64))) ? 1 : -1] array9;
  float[all(equal((ivec4(-24, 40, -23, 64) & abs(~ ivec4(-24, 40, -23, 64))), ivec4(0, 40, 0, 64))) ? 1 : -1] array10;
  float[all(equal((ivec4(-24, 40, -23, 64) & abs(~ ivec4(24, 40, 23, 64))), ivec4(8, 40, 8, 64))) ? 1 : -1] array11;
  float[all(equal((ivec4(24, 40, 23, 64) & abs(~ ivec4(-64, 72, 88, -76))), ivec4(24, 8, 17, 64))) ? 1 : -1] array12;
  float[all(equal((ivec4(24, 40, 23, 64) & abs(~ ivec4(64, 72, 88, 76))), ivec4(0, 8, 17, 64))) ? 1 : -1] array13;
  float[all(equal((ivec4(24, 40, 23, 64) & abs(~ ivec4(-24, 40, -23, 64))), ivec4(16, 40, 22, 64))) ? 1 : -1] array14;
  float[all(equal((ivec4(24, 40, 23, 64) & abs(~ ivec4(24, 40, 23, 64))), ivec4(24, 40, 16, 64))) ? 1 : -1] array15;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length() + array12.length() + array13.length() + array14.length() + array15.length());
}
