/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constantfolded correctly:
 * (uvec3(36u, 32u, 88u) | 0u) => uvec3(36u, 32u, 88u)
 * (uvec3(36u, 32u, 88u) | 6u) => uvec3(38u, 38u, 94u)
 * (uvec3(36u, 32u, 88u) | 12u) => uvec3(44u, 44u, 92u)
 * (uvec3(36u, 32u, 88u) | 32u) => uvec3(36u, 32u, 120u)
 * (uvec3(36u, 32u, 88u) | 74u) => uvec3(110u, 106u, 90u)
 * (uvec3(59u, 77u, 68u) | 0u) => uvec3(59u, 77u, 68u)
 * (uvec3(59u, 77u, 68u) | 6u) => uvec3(63u, 79u, 70u)
 * (uvec3(59u, 77u, 68u) | 12u) => uvec3(63u, 77u, 76u)
 * (uvec3(59u, 77u, 68u) | 32u) => uvec3(59u, 109u, 100u)
 * (uvec3(59u, 77u, 68u) | 74u) => uvec3(123u, 79u, 78u)
 */
#version 150

void main()
{
  float[all(equal((uvec3(36u, 32u, 88u) | 0u), uvec3(36u, 32u, 88u))) ? 1 : -1] array0;
  float[all(equal((uvec3(36u, 32u, 88u) | 6u), uvec3(38u, 38u, 94u))) ? 1 : -1] array1;
  float[all(equal((uvec3(36u, 32u, 88u) | 12u), uvec3(44u, 44u, 92u))) ? 1 : -1] array2;
  float[all(equal((uvec3(36u, 32u, 88u) | 32u), uvec3(36u, 32u, 120u))) ? 1 : -1] array3;
  float[all(equal((uvec3(36u, 32u, 88u) | 74u), uvec3(110u, 106u, 90u))) ? 1 : -1] array4;
  float[all(equal((uvec3(59u, 77u, 68u) | 0u), uvec3(59u, 77u, 68u))) ? 1 : -1] array5;
  float[all(equal((uvec3(59u, 77u, 68u) | 6u), uvec3(63u, 79u, 70u))) ? 1 : -1] array6;
  float[all(equal((uvec3(59u, 77u, 68u) | 12u), uvec3(63u, 77u, 76u))) ? 1 : -1] array7;
  float[all(equal((uvec3(59u, 77u, 68u) | 32u), uvec3(59u, 109u, 100u))) ? 1 : -1] array8;
  float[all(equal((uvec3(59u, 77u, 68u) | 74u), uvec3(123u, 79u, 78u))) ? 1 : -1] array9;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length());
}
